GNU bug report logs - #38678
[PATCH 0/2] Add '--load-path' to subcommands

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; Done: Pierre Neidhardt <mail@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 17 Jan 2020 15:56:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 10:56:35 2020
Received: from localhost ([127.0.0.1]:39979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isTz5-00086Q-RX
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 10:56:35 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:40521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1isTyz-00086D-Ob
 for 38678 <at> debbugs.gnu.org; Fri, 17 Jan 2020 10:56:30 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id B280CFF80F;
 Fri, 17 Jan 2020 15:56:23 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 38678 <at> debbugs.gnu.org
Subject: Re: Command line option in addition to GUIX_PACKAGE_PATH - Reason?
In-Reply-To: <CAJ3okZ3G5YteTpMJdsfUHHp=LrzZ593OrZAaupk=x7bp3CZ-3Q@HIDDEN>
References: <87pnglj2ka.fsf@HIDDEN>
 <CAJ3okZ3X5DZ3DVDXY5_WHEOzL01=nJGkJeBHZxL-1eLS3x8c8g@HIDDEN>
 <87sglgsiey.fsf@HIDDEN> <878sn8inru.fsf@HIDDEN>
 <87o8w4mewg.fsf@HIDDEN> <87tv5wfdrm.fsf@HIDDEN>
 <CAJ3okZ0_5AB57FgNyagAA-KCOW=o7AgDrr4v5p8n4XvEmJH7=g@HIDDEN>
 <87lfr8fd9u.fsf@HIDDEN> <20191226213108.753f8ab7@HIDDEN>
 <CAJ3okZ2HSh_WbiWEz65-A_LZLgN91Dc-rAQe_7PbA09YQid64Q@HIDDEN>
 <87blr3eao0.fsf@HIDDEN>
 <CAJ3okZ3G5YteTpMJdsfUHHp=LrzZ593OrZAaupk=x7bp3CZ-3Q@HIDDEN>
Date: Fri, 17 Jan 2020 16:56:22 +0100
Message-ID: <87ftge13h5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I have already merged, can you rebase your changes against
 master? :) -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.199 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 38678
Cc: Guix Devel <guix-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I have already merged, can you rebase your changes against
    master? :) -- Pierre Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.199 listed in list.dnswl.org]
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I have already merged, can you rebase your changes against master? :)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4h2SYACgkQm9z0l6S7
zH+5tAgAl+cDEZDto3HERrG3EbgJ1+i4eBXgKBxRSVvEmlBRmQWL37pnUICUdT5n
2eZ3bt+THFoqhUctpkY/aLJVI9lh+CVdz6p8Ia+gvxM/cin4bHWBMvfPA7RDD8AR
NkNkVM0pmh9+CJgvTH9WEc3BnB/LdKnFSoLJYNIGUbKVAHQkHINK7wsmVte5FU7N
3QUHNv6ljRkc31ZoPHWYgLzLU5iELenlDj0GFeCE2cXSUCNQRQK1VGuQgDrvJ1Kp
4RY2tuL79IFbwGbK2DDxeGdol2tAf/b314rHa0VqDt8XySsqPIWXeQiWB8+niwmn
QGInDQJVPEtHPcnKNMcN8ZQWDab+qQ==
=KVaj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 16 Jan 2020 16:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 11:12:33 2020
Received: from localhost ([127.0.0.1]:38285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1is7kz-00012g-MP
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 11:12:33 -0500
Received: from mail-qk1-f175.google.com ([209.85.222.175]:34188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1is7ku-00012N-8V
 for 38678 <at> debbugs.gnu.org; Thu, 16 Jan 2020 11:12:27 -0500
Received: by mail-qk1-f175.google.com with SMTP id j9so19634451qkk.1
 for <38678 <at> debbugs.gnu.org>; Thu, 16 Jan 2020 08:12:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=EbRkHzHDXZNELAK8Ods8hdA1u3DPnn5r/wvbxa1J3rE=;
 b=EOrEziW5+YBxtN0JiuEgqsaq9LSquaqVMhDcvoNs3y+lY6vFdPdoknsJy6+z7Wi0hU
 gx9GosAs/ybGj0hc1vZwjyieXAycRMfc1nWZIUWHp6aof3k15aa/YhCoDS5c0NEfG/92
 vIyAMGqUVPBdHnf51XFiMD8jXQuYmP4Z/yuQJzZt2SncYutX4iVwFntKOBdoqbvfbP9L
 wgbzv5bKIbjDaG27Z0HLQ22pfpB85Fh9m35jzWzItr4XN+HfzaGfcRjaDcjALzKMAcyi
 I/d1uLPdtTMOfeWzfLU1H+j7V2ejNS8PuBQn9VxYt0KDsDPKeoXpux7XyoLrBOzAThs+
 uJaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=EbRkHzHDXZNELAK8Ods8hdA1u3DPnn5r/wvbxa1J3rE=;
 b=GiYVRzuqG0qYy1tYg8emnhBgS/d+YpavWeqV05lR9ItsmUk3XyHCM/MOoYtxcD/kNr
 N/mOacVhvsCCjWZ9XF23swHwXPT+JVTb63sTA1io30PhDlrb+7yiWR/a2A7gbk6qN9XB
 pcKO0NJvHI48ks6/W0pcvZ9OLeItgMRYQMwbIP0p08640Z518vQOPGgB9vx8gqgCqQGn
 dlRqQkviFMwZyOB91kcL3zInheJ+mEc5JLsV0tM++f5MgUAWEldRCF5ZamHbuSvjYP2S
 +Gbpi80nyfWdQy6tUvTmq/KHa5jx46wJdVaCVs3MWA3DV84xBOX4QiLnsYr6tZHPNkEB
 87Kg==
X-Gm-Message-State: APjAAAWPXGeXP2g9cOqQrBlvPNnidiHyANIqDdOxf01Plr4KsR86Q7iI
 ikSE7RSnh7jGOyTCQrFwblTtbbCtWBZc2dmENCE=
X-Google-Smtp-Source: APXvYqzVAOQF2CGkM7QGSzFCc+oZ6twx0yhcvtfJnlyH1aY02e5Z8E+zZcOJwHqrXvj0rSaEHzr2QeULv9sdoWkoBZY=
X-Received: by 2002:a37:63c7:: with SMTP id
 x190mr33510516qkb.232.1579191138774; 
 Thu, 16 Jan 2020 08:12:18 -0800 (PST)
MIME-Version: 1.0
References: <87pnglj2ka.fsf@HIDDEN>
 <CAJ3okZ3X5DZ3DVDXY5_WHEOzL01=nJGkJeBHZxL-1eLS3x8c8g@HIDDEN>
 <87sglgsiey.fsf@HIDDEN> <878sn8inru.fsf@HIDDEN>
 <87o8w4mewg.fsf@HIDDEN> <87tv5wfdrm.fsf@HIDDEN>
 <CAJ3okZ0_5AB57FgNyagAA-KCOW=o7AgDrr4v5p8n4XvEmJH7=g@HIDDEN>
 <87lfr8fd9u.fsf@HIDDEN> <20191226213108.753f8ab7@HIDDEN>
 <CAJ3okZ2HSh_WbiWEz65-A_LZLgN91Dc-rAQe_7PbA09YQid64Q@HIDDEN>
 <87blr3eao0.fsf@HIDDEN>
In-Reply-To: <87blr3eao0.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 16 Jan 2020 17:12:07 +0100
Message-ID: <CAJ3okZ3G5YteTpMJdsfUHHp=LrzZ593OrZAaupk=x7bp3CZ-3Q@HIDDEN>
Subject: Re: Command line option in addition to GUIX_PACKAGE_PATH - Reason?
To: Pierre Neidhardt <mail@HIDDEN>, 38678 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="000000000000dc0d7a059c441670"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, 16 Jan 2020 at 15:30, Pierre Neidhardt wrote: > I've
 merged your patch 38678. Cool! Thank you. 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: elephly.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.175 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.8 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.175 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 38678
Cc: Guix Devel <guix-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

--000000000000dc0d7a059c441670
Content-Type: text/plain; charset="UTF-8"

On Thu, 16 Jan 2020 at 15:30, Pierre Neidhardt <mail@HIDDEN> wrote:

> I've merged your patch 38678.

Cool! Thank you.


> Should I fix this for you?

Yes, for sure.
Patch attached.

Cheers,
simon

--000000000000dc0d7a059c441670
Content-Type: text/x-patch; charset="UTF-8"; 
	name="v5-0003-refresh-Add-load-path-option.patch"
Content-Disposition: attachment; 
	filename="v5-0003-refresh-Add-load-path-option.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k5gxm3f10>
X-Attachment-Id: f_k5gxm3f10
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--000000000000dc0d7a059c441670--




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.
bug closed, send any further explanations to 38678 <at> debbugs.gnu.org and zimoun <zimon.toutoune@HIDDEN> Request was from Pierre Neidhardt <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:34 2020
Received: from localhost ([127.0.0.1]:35449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1y-0000GC-5r
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:34 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:38346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1j-0000En-PP
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:25 -0500
Received: by mail-wr1-f48.google.com with SMTP id y17so16495612wrh.5
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PwHWMk1U27otBKx41y54hdQkBAqj44ipVOjoZtISmno=;
 b=exQDk2m0CnOmrvVn1izolPIorXleqWAc5YWSGmz806YATFArTf6q2yaGAHdED27quQ
 3Tq3pzA3/6IVmHXJp7edgTAXAv9+JFzt5GU6gWbQjziedtnMw37NPHQmcG1zG2gQeRHt
 ELm1Cgyfr2wOKQTz1rCgknOehJdrqH49tjsemrchSmVHYl9kJr17C/uE1Vvrf/nO0E2n
 sADIjCw0tPeR3/r46hywcH3+NKUy/mREeAkk7V76p7Xd7IE9PIHArSgHGABe3MqBjDhW
 eAd0qD8MvQA1L6SvwLRr7FqXrm/0R/it/l9RGGgHJ8HE71Fh2vX1Il3xLEQF0A+Uwesi
 w/fQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PwHWMk1U27otBKx41y54hdQkBAqj44ipVOjoZtISmno=;
 b=GsCxO4Mn6KSFmduDicGmveZaFnDWfiKtf4sn+3eSqP7HM+09pW2lXyphOB1ZUdv5fT
 yOY7q4kMe4AIBe9Nre8rfOchAAPHqM65dyHKyay2SoR33gu6czJ/hqM1N86mYLBG86h9
 txLKNBMmfxKSGmbDMMEQmlmIJ/sGe0OzKe7C0hxuCVLa/KKvIK+khWcgvlgz15X0tOVy
 JS9pxUteED/sjHHrEDWalJ5TZfaGwEt83k4wzYbIE01lwS429hKe5ykmCtJXSo56QsWq
 xmK39jfIbMri/Z5K4zMA45iGZQh08oPBQE5tQ9GsVRbBzDEMK5c+62dgXuvrgAzgrdgu
 sqrA==
X-Gm-Message-State: APjAAAXCC/81FzdbrxbfqezObEaC9eyufeBdgBXmTo0EF3OCcJAjPDmv
 fmdzi7UEIfxnaGDkbVxQjCnEO+sf
X-Google-Smtp-Source: APXvYqy4dgf26VjDDnjrrssiW3m152P1qR4d9QpSDUfjQ4gRTgOJ2kZm2HAwT8/2zUBwxvQN05YfWg==
X-Received: by 2002:a5d:6390:: with SMTP id p16mr33075407wru.170.1579107613988; 
 Wed, 15 Jan 2020 09:00:13 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:13 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 6/6] repl: Fix '--help' message.
Date: Wed, 15 Jan 2020 18:00:06 +0100
Message-Id: <20200115170006.24892-6-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
References: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/repl.scm: (show-help): Add '--listen' option message.
---
 guix/scripts/repl.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/guix/scripts/repl.scm b/guix/scripts/repl.scm
index 39a9b09656..fc3e4e2131 100644
--- a/guix/scripts/repl.scm
+++ b/guix/scripts/repl.scm
@@ -65,6 +65,9 @@
 Start a Guile REPL in the Guix execution environment.\n"))
   (display (G_ "
   -t, --type=TYPE        start a REPL of the given TYPE"))
+  (display (G_ "
+      --listen=ENDPOINT  listen ENDPOINT instead of standard I/O"))
+  (newline)
   (display (G_ "
   -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:34 2020
Received: from localhost ([127.0.0.1]:35447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1x-0000G5-TA
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:34 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:40233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1j-0000El-53
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:24 -0500
Received: by mail-wr1-f48.google.com with SMTP id c14so16479973wrn.7
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nZ67QpFig0c4Dpg0T+xnl+7pPIS6DVkM6+DNc/qAdjM=;
 b=NgQJEGrEqlK7Wqg5dd9zv8AFGH+mxcPhX7ZjHemZe5nDhr1UGqKEdWJvK1eZwBTP4N
 jmGimJLyC35L5vRC51zKmSbMUupH6/NywWgpEYbOWEzYujOOlZVT55AA9Ak5I3BfoB32
 djCnxxePc++UwZJp+OJVH4vtC+lt0ICKcEYdRlxBjOIMZYD+xV08Pt0mHpJeDmP8Z1pW
 AfkQk1JOMM9tWF3T8luoNToYj6Zb3PpLU0gUCq2yVIigFcpY/+cnqfSJ4WYwseqkj3yi
 zGLvSnBCfH+8IaGBDlZwTkx8acXnFdBdUqYeN5GptIBJpCWbo6Mb6pckhtAZpjFnX95D
 Sv5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nZ67QpFig0c4Dpg0T+xnl+7pPIS6DVkM6+DNc/qAdjM=;
 b=dSskWNnqKVXhCBFK4tBt1g3O9OUBZOJ6tWtmxdgxRH8BfXgOpeVJHWfsAy3uB5lsy9
 +tVjelhMtOeg5dB90b+Lo1NOB6TTHypchpRMteNYgt1MPGy+QerGZnK1gQSo3OCUi5zo
 5tDZe49CiRlRTZRRqBfM7zmm3F6cJ1hRrvQgbd0l7bnCgdLPCFEwKhcTv0s1RaCvf1kb
 24QI+5/rQSSYvMquBAgIAnSwXvpnDDk6G3ErWZQWCmhhMePRn6IA9lVxYskJvw+PZn7u
 UnN7+275Jol/xS7v8cMUb2TMT/LS0bDZS47uH/1yM5kQj8pFI5k4VyFe2jZWZ1z6e04Z
 XJBw==
X-Gm-Message-State: APjAAAXYIDijk8llCe//Mn7SenuG/4O4OSOVBR4yxirYDY59jZts6LWL
 God7ONVaClk+aQpVaqzA/pks2aM7
X-Google-Smtp-Source: APXvYqyLn4brXxGYneVYQ7LB9QGy/qhmJqODZEuZUiXGCLFY/w9Qv39KpQdAs6YF6mGTqgLQ94idnw==
X-Received: by 2002:adf:fe50:: with SMTP id m16mr31381516wrs.217.1579107613168; 
 Wed, 15 Jan 2020 09:00:13 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:12 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 5/6] repl: Add '--load-path' option.
Date: Wed, 15 Jan 2020 18:00:05 +0100
Message-Id: <20200115170006.24892-5-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
References: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/repl.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         | 8 ++++++++
 guix/scripts/repl.scm | 9 ++++++++-
 2 files changed, 16 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 00eb85a4f7..ef6d1fc178 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -7995,6 +7995,14 @@ Accept connections on localhost on port 37146.
 @item --listen=unix:/tmp/socket
 Accept connections on the Unix-domain socket @file{/tmp/socket}.
 @end table
+
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tool.
 @end table
 
 @c *********************************************************************
diff --git a/guix/scripts/repl.scm b/guix/scripts/repl.scm
index e1cc759fc8..39a9b09656 100644
--- a/guix/scripts/repl.scm
+++ b/guix/scripts/repl.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,6 +20,7 @@
 (define-module (guix scripts repl)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix repl)
   #:use-module (guix utils)
   #:use-module (guix packages)
@@ -52,7 +54,10 @@
                   (alist-cons 'type (string->symbol arg) result)))
         (option '("listen") #t #f
                 (lambda (opt name arg result)
-                  (alist-cons 'listen arg result)))))
+                  (alist-cons 'listen arg result)))
+        (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)))
 
 
 (define (show-help)
@@ -60,6 +65,8 @@
 Start a Guile REPL in the Guix execution environment.\n"))
   (display (G_ "
   -t, --type=TYPE        start a REPL of the given TYPE"))
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:33 2020
Received: from localhost ([127.0.0.1]:35445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1u-0000Fp-2d
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:33 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:35301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1i-0000Ej-Am
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:22 -0500
Received: by mail-wr1-f42.google.com with SMTP id g17so16472096wro.2
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=g197uW4BKu7n/HBq0yHksB4SO8w5iVBrBpWasqJJ6NA=;
 b=DEhE8WXTV8ZmhTIBqMaJq2WWnCxDP7jhI/Fb/txT5sygCulWJSKrzjkWfAvXhMnVKN
 uZlzQ0ChjwqgzQj4w0RJD2fATHH1eVHTW0JB7+4n43lo8kj2CDSbEfkA1i9wDVL7QwJR
 TQMshLyq+0H+VWRaOE8anPdsVxvk3QD+XQHAQI7b2VlULUsHcCnRQu0nM/WzbQwIrVpe
 f3QxEt8Q8wMFTvQRkrnAE2kHslpN9GAR8ch/Et0rp+G8u3wVCVvQx1B1WS4lVdJdI/1i
 YDQSyVQ5OLOQlF4Ti4zu/F1Y/rXOGDLLO/ElEk9KfeqaKJZF0S1i6NbJB8iqvoH9ywyD
 UISw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=g197uW4BKu7n/HBq0yHksB4SO8w5iVBrBpWasqJJ6NA=;
 b=M9dKdz6o7/1z4230d9DN8JgFcWhoHDHEA7CZERsxVUCP+DF9bW9ateyJW4ERA1yXHZ
 GreG6rTfTRMWLi3CIdV0+QeAUEfJ45KT5MeFelSLT7b+n0sy8J+g3miWDNrcYk8pyQT1
 TBnHccK5qwGGZWuqQEuAEVbNQ/azXn0+ri2Fj5KRNjvD/sdyHYKZEJtl5B7pi/klSRLW
 ekyhQCSYrsEcTZI+xnPS2GhxilAJlPQiaGF+cDFSwz6Sir562sMWLSbLnr28MvJDw2wO
 rzYQe7MmfkFZSALKpwp+r1uVHJDLurbvs6qjnO54izBzALx8Lp4FxY5IDIbBtiJkRW+Y
 D8IA==
X-Gm-Message-State: APjAAAXdAchryNxvLJ17VceyTQY/vpRSGhlNo3jW1CRdCLb1inUY/c07
 1ikKd7fd4EzRlRR4lq12Thkb/b6c
X-Google-Smtp-Source: APXvYqzLk1X04WankmMFBkyAu+X8jbZ4L/avBPfGz05kNy/5t+3oMHYS/siTFw4nYJK+4gxM1VYiHw==
X-Received: by 2002:a5d:6305:: with SMTP id i5mr32785932wru.119.1579107612426; 
 Wed, 15 Jan 2020 09:00:12 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:11 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 4/6] edit: Add '--load-path' option.
Date: Wed, 15 Jan 2020 18:00:04 +0100
Message-Id: <20200115170006.24892-4-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
References: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/edit.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         |  4 ++++
 guix/scripts/edit.scm | 10 +++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index bee4c3b2c9..00eb85a4f7 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -8705,6 +8705,10 @@ have created your own packages on @code{GUIX_PACKAGE_PATH}
 recipes.  In other cases, you will be able to examine the read-only recipes
 for packages currently in the store.
 
+Instead of @code{GUIX_PACKAGE_PATH}, the command-line option
+@code{--load-path=@var{directory}} (or in short @code{-L
+@var{directory}}) allows you to add @var{directory} to the front of the
+package module search path and so make your own packages visible.
 
 @node Invoking guix download
 @section Invoking @command{guix download}
diff --git a/guix/scripts/edit.scm b/guix/scripts/edit.scm
index da3d2775e8..a6fd1d2751 100644
--- a/guix/scripts/edit.scm
+++ b/guix/scripts/edit.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2019 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2015 Mathieu Lirzin <mthl@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +21,7 @@
 (define-module (guix scripts edit)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (srfi srfi-1)
@@ -28,7 +30,10 @@
             guix-edit))
 
 (define %options
-  (list (option '(#\h "help") #f #f
+  (list (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
+        (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
                   (exit 0)))
@@ -39,6 +44,9 @@
 (define (show-help)
   (display (G_ "Usage: guix edit PACKAGE...
 Start $VISUAL or $EDITOR to edit the definitions of PACKAGE...\n"))
+  (newline)
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:30 2020
Received: from localhost ([127.0.0.1]:35443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1q-0000Ff-Ei
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:30 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:34267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1h-0000Ei-K6
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:21 -0500
Received: by mail-wr1-f45.google.com with SMTP id t2so16501866wrr.1
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=TkCxHdIvP8Cdf6l8viebQ6jzn04XhgEqzH9lccQOD+Q=;
 b=klFdLuK/JER6T3vgTOAMkXBOkLvq/sAUS07U/QSMy89F7+yJwLLFIZN8ROSC5B1GVu
 IGV5XVEfnKoBldiI2f74Cv1eBvWQhjH1bRE1ySctSAfeZV4v5tDwZcmoi9jP/KFeY2UQ
 RKtNhrhSWQ2TDjCmP5QtypaeMBnizri+haGWw3I5k0WGJUr2EFMtcdvKdHvZNS1JIk2D
 ASsr0FCoiJnjeRyAFg5nhYxqlWRDXK3k6TafNmzygnTqogJTR25JTPKzfAPQ38MNP8hp
 Mn/fCsR2IeOIBeYHFGwMeMomKCvCLf+coSt+9LPm4bc/y3JJo/qtSyr6WW8g2l7oNYVm
 tivQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=TkCxHdIvP8Cdf6l8viebQ6jzn04XhgEqzH9lccQOD+Q=;
 b=cmanYSFb3ckwPMPtARWbTamVGoIVpMP4I6rb75tlpB2GN1qCoo9p2GlM6D8Y+drNsl
 X2LRDdgeIK/Hj3X9HDRygMK9kibJs2zqCjxZ5QMdhcLLu2OVXqz326vb644brdaf5VjD
 XpEStQOGnOlyCut0icifOVv2CmNf651qjRNNNuyQTb+IEKmMZQey5oN17G90oW1/py8Q
 g3Id0WLII7528xELDIS3FIcyAUamz0NMJ3oeEygjCp+d/A0AVOUQbLn4Clfj1aOMOvrA
 FYuPytilZJW4mdY3AK7AeYd0pSTwjIp53NvRwBCyKUfsP2ilxW0GHLYC3gLWcdPRGKFc
 OkGw==
X-Gm-Message-State: APjAAAVgVEm6QRN8LBR0/bwJ3RtwRx+jnYNVUa3EncbN9hBN8DvQecu5
 fl0+HaOWkYcIJx/drr1ycaCYxBze
X-Google-Smtp-Source: APXvYqyc1OOt4suHRQ6euQHRM3bTB9wkHhO3svQUKzOIF8Puh4IpT2ZAiwud0J11vWTsZYSKq2qSuw==
X-Received: by 2002:a5d:610a:: with SMTP id v10mr33048015wrt.267.1579107611668; 
 Wed, 15 Jan 2020 09:00:11 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:11 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 3/6] refresh: Add '--load-path' option.
Date: Wed, 15 Jan 2020 18:00:03 +0100
Message-Id: <20200115170006.24892-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
References: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/refresh.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi            |  9 ++++++++-
 guix/scripts/refresh.scm | 18 ++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3d26facd2e..bee4c3b2c9 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,7 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
-Copyright @copyright{} 2019 Simon Tournier@*
+Copyright @copyright{} 2019, 2020 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -9552,6 +9552,13 @@ the user whether to download it or not.  This is the default behavior.
 @item --key-server=@var{host}
 Use @var{host} as the OpenPGP key server when importing a public key.
 
+@item --load-path=@var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
+
 @end table
 
 The @code{github} updater uses the
diff --git a/guix/scripts/refresh.scm b/guix/scripts/refresh.scm
index daf6fcf947..bc8e906054 100644
--- a/guix/scripts/refresh.scm
+++ b/guix/scripts/refresh.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
   #:use-module (guix ui)
   #:use-module (gcrypt hash)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix store)
   #:use-module (guix utils)
   #:use-module (guix packages)
@@ -116,6 +118,19 @@
                      (leave (G_ "unsupported policy: ~a~%")
                             arg)))))
 
+        ;; The short option -L is already used by --list-updaters, therefore
+        ;; it needs to be removed from %standard-build-options.
+        (let ((%load-path-option (find (lambda (option)
+                                         (member "load-path"
+                                                 (option-names option)))
+                                       %standard-build-options)))
+          (option
+           (filter (lambda (name) (not (equal? #\L name)))
+                   (option-names %load-path-option))
+           (option-required-arg? %load-path-option)
+           (option-optional-arg? %load-path-option)
+           (option-processor     %load-path-option)))
+
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
@@ -165,6 +180,9 @@ specified with `--select'.\n"))
                          'always', 'never', and 'interactive', which is also
                          used when 'key-download' is not specified"))
   (newline)
+  (display (G_ "
+      --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:26 2020
Received: from localhost ([127.0.0.1]:35441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1m-0000FQ-Jn
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:26 -0500
Received: from mail-wr1-f54.google.com ([209.85.221.54]:41634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1h-0000Ef-1O
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:20 -0500
Received: by mail-wr1-f54.google.com with SMTP id c9so16483471wrw.8
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PPdowZ0nhM9sXqL43oPz2SLA3j3R6zawY+8NkpN+6Dc=;
 b=mQ11WNAA+1yojQDmVjOQ0Ty2SlJVQD3H1Xl9tvWlolXRNU8WALkvL5I92RYR9413fb
 bgOi0TXIuPXqoAQHA9gtocr1bUG5CNq2jp0k+USZAC3df4G0VhtAh2k7LMr4gDhV05hI
 kHo5pGoLMfLXTYD4MWK5TwuZ0z6T18ajVM/V81M/BduQEOQPbfXZ5CQQwnSYK/XE0JJH
 DfV5oxQ4FEtpbIgBULA9byGRo3Of0EneKAdPVOvntKAtMLZ7U8NzZW85BCQR2n51Y0gQ
 D2CYpQE+6ythtPV6kgv1z35ZmlxRPORkldKm0rxYhq8MvJPDQmKY8YTCmeXfoRc3AYE3
 YOUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PPdowZ0nhM9sXqL43oPz2SLA3j3R6zawY+8NkpN+6Dc=;
 b=tK6COppzlFrR2CbbVpXWHllPkhzWMMah36tLDyec3OymJr9Y4CIoPc+il44vl5e7wQ
 olNwMjLOelviTekg9OqbhwqDDko7atyUrbKUB4yw6Y44Wcl7XnNY8a6OxAfJec2eHmrn
 MhBGafcnhy1qYKTl/HbIZ9c5+7gJo7FW/3jnFNMx+8DOEYWj7MnCldVKKCg3IB1sM4C2
 t33/0ZeR14QVjRLOqiYanQWWy2mm47tjUES7Be/nrRZM6NYw6Z66zTSrNkdQdFLxN51y
 Y8MV/XslLw6iHoFWg1NorJCYnpRWj50BB4gcRvxrHmLj9Hg+FVQjsfKcXspE49XpRk7K
 bkyw==
X-Gm-Message-State: APjAAAXXODe0+8m7LItve4hXL9tbHH0EGPtli4NXHUmH3Blun6a9fWJt
 Ns0AZtsZD2GEy1eyLjUHCh4kuILU
X-Google-Smtp-Source: APXvYqx/faOBJxES9pY9hyTu+Ip8xf0I7UcpeequaC8f+EnPUAewlho+w2vRoED2vueFrMMk0JcCQA==
X-Received: by 2002:adf:d183:: with SMTP id v3mr32495446wrc.180.1579107610841; 
 Wed, 15 Jan 2020 09:00:10 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:10 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 2/6] size: Add '--load-path' option.
Date: Wed, 15 Jan 2020 18:00:02 +0100
Message-Id: <20200115170006.24892-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
References: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/size.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         | 7 +++++++
 guix/scripts/size.scm | 8 ++++++++
 2 files changed, 15 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 37218eb847..3d26facd2e 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -9837,6 +9837,13 @@ the case, @command{guix size} fails as it tries to load it.
 @itemx -s @var{system}
 Consider packages for @var{system}---e.g., @code{x86_64-linux}.
 
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 @node Invoking guix graph
diff --git a/guix/scripts/size.scm b/guix/scripts/size.scm
index f549ce05b8..2446b84587 100644
--- a/guix/scripts/size.scm
+++ b/guix/scripts/size.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,6 +20,7 @@
 (define-module (guix scripts size)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module (guix scripts build)
   #:use-module (guix store)
   #:use-module (guix monads)
   #:use-module (guix combinators)
@@ -242,6 +244,9 @@ Report the size of PACKAGE and its dependencies.\n"))
   -m, --map-file=FILE    write to FILE a graphical map of disk usage"))
   (newline)
   (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
+  (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
   -V, --version          display version information and exit"))
@@ -273,6 +278,9 @@ Report the size of PACKAGE and its dependencies.\n"))
         (option '(#\m "map-file") #t #f
                 (lambda (opt name arg result)
                   (alist-cons 'map-file arg result)))
+        (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 15 Jan 2020 17:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 12:00:21 2020
Received: from localhost ([127.0.0.1]:35438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irm1j-0000Ez-Mm
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:21 -0500
Received: from mail-wr1-f44.google.com ([209.85.221.44]:43246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1irm1g-0000Ec-AM
 for 38678 <at> debbugs.gnu.org; Wed, 15 Jan 2020 12:00:18 -0500
Received: by mail-wr1-f44.google.com with SMTP id d16so16478517wre.10
 for <38678 <at> debbugs.gnu.org>; Wed, 15 Jan 2020 09:00:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Lp4TqDehn+cWlBfHvMSB1Hl/vwIVCRSiN5iOcZ0H4+U=;
 b=kYhY4SIuyb3Ji4RmmyZ5/sBHLLFsZogowTL3X5gCk/ZfCQXDQCE15cZtBvldFjjFWO
 oXTeOs6zdTzIT7vUHJJ3Fk85ZgXRqTW6NZYKr/HA/9i/wM5RGgcidw62G1pFHtCL+jkU
 yVIgI8E/ERrtayKbwBC/tExDQPjfNhquMcx5lenDn18AI8P0rpaXhbfgbEtxops8qMTo
 ZsuUqZV2jA1LNYIcoKlzztV6SVJsA/YcoBMhyhefd5sNTymxudrKjz2xR5z5vHbDG1+X
 SxAJ3yBrndVwzTJuyD54D1yMuv8DhXvvevHEGXvxXuAqK5W1yql1Y71K87+lXQrLqHR3
 SK5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Lp4TqDehn+cWlBfHvMSB1Hl/vwIVCRSiN5iOcZ0H4+U=;
 b=Qeo1I22MXk3HwG/GnHsXlS+JkwiqVaaLOC/fN+yObvUSKiKy/t0ZlBg/Zf3xJElYey
 TkhVkV9RVWuii6Cg3BmRglhSsDT5YqTpUm4vKaQr3ZOu02pSOYiqNyEi759rwqibqQtT
 7IFg8MUEHxZrMj472kXMd/x9OWXrkkQgI+qp0k0MYK0PeHIm27RfyhciTN3ibpFNNnIu
 JVQaKOYZ8fPHQ7TmT0XUyvVTMO5an3qe1e3w9+NJyUKwn+A7eXeztbRVz/t0rbBv96OX
 B4Rtp2QEkKTBTycgCibHcQWx+RzTnLyV4qcdKBYElp+FEHkTOuKhmGCFLFb9VHjv0VfH
 BowQ==
X-Gm-Message-State: APjAAAUl13Pg63HObYiFngvuVhAsHgu5bjoRL3PRRVccHPJj+xWpXiEg
 kHq5AtOmUJ41TEAc3axYpyjDTYnl
X-Google-Smtp-Source: APXvYqxGQobtCSQgVGhMlwC+GUf0SDbmfkqT5rJufXNBs32+Vdhwtsc9zA00VTJeCdzSd9zR7KSEOg==
X-Received: by 2002:adf:dfc9:: with SMTP id q9mr34473931wrn.219.1579107609972; 
 Wed, 15 Jan 2020 09:00:09 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l3sm22907347wrt.29.2020.01.15.09.00.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 15 Jan 2020 09:00:09 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v4 1/6] graph: Add '--load-path' option.
Date: Wed, 15 Jan 2020 18:00:01 +0100
Message-Id: <20200115170006.24892-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/graph.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
* tests/guix-graph.sh: Test it.
---
 doc/guix.texi          |  9 +++++++++
 guix/scripts/graph.scm |  8 ++++++++
 tests/guix-graph.sh    | 27 +++++++++++++++++++++++++--
 3 files changed, 42 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index bb0ef17ddd..37218eb847 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,6 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
+Copyright @copyright{} 2019 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -10037,6 +10038,14 @@ Display the graph for @var{system}---e.g., @code{i686-linux}.
 
 The package dependency graph is largely architecture-independent, but there
 are some architecture-dependent bits that this option allows you to visualize.
+
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 On top of that, @command{guix graph} supports all the usual package
diff --git a/guix/scripts/graph.scm b/guix/scripts/graph.scm
index 7558cb1e85..53f407b2fc 100644
--- a/guix/scripts/graph.scm
+++ b/guix/scripts/graph.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -35,6 +36,7 @@
   #:use-module ((guix scripts build)
                 #:select (show-transformation-options-help
                           options->transformation
+                          %standard-build-options
                           %transformation-options))
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
@@ -473,6 +475,9 @@ package modules, while attempting to retain user package modules."
                  (lambda (opt name arg result)
                    (alist-cons 'system arg
                                (alist-delete 'system result eq?))))
+         (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
          (option '(#\h "help") #f #f
                  (lambda args
                    (show-help)
@@ -501,6 +506,9 @@ Emit a representation of the dependency graph of PACKAGE...\n"))
   (display (G_ "
   -s, --system=SYSTEM    consider the graph for SYSTEM--e.g., \"i686-linux\""))
   (newline)
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (show-transformation-options-help)
   (newline)
   (display (G_ "
diff --git a/tests/guix-graph.sh b/tests/guix-graph.sh
index 2d4b3fac3f..4c37b61b38 100644
--- a/tests/guix-graph.sh
+++ b/tests/guix-graph.sh
@@ -1,5 +1,6 @@
 # GNU Guix --- Functional package management for GNU
 # Copyright © 2015, 2016, 2019 Ludovic Courtès <ludo@HIDDEN>
+# Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -20,10 +21,29 @@
 # Test the 'guix graph' command-line utility.
 #
 
-tmpfile1="t-guix-graph1-$$"
-tmpfile2="t-guix-graph2-$$"
+module_dir="t-guix-graph-$$"
+mkdir "$module_dir"
+trap "rm -rf $module_dir" EXIT
+
+tmpfile1="$module_dir/t-guix-graph1-$$"
+tmpfile2="$module_dir/t-guix-graph2-$$"
 trap 'rm -f "$tmpfile1" "$tmpfile2"' EXIT
 
+
+cat > "$module_dir/foo.scm"<<EOF
+(define-module (foo)
+  #:use-module (guix packages)
+  #:use-module (gnu packages base))
+
+(define-public dummy
+  (package (inherit hello)
+    (name "dummy")
+    (version "42")
+    (synopsis "dummy package")
+    (description "dummy package. Only used for testing purposes.")))
+EOF
+
+
 guix graph --version
 
 for package in guile-bootstrap coreutils python
@@ -59,3 +79,6 @@ guix graph git | grep 'label = "openssl'
 guix graph git --with-input=openssl=libressl | grep 'label = "libressl'
 if guix graph git --with-input=openssl=libressl | grep 'label = "openssl'
 then false; else true; fi
+
+# Try --load-path
+guix graph -L $module_dir dummy | grep 'label = "dummy'
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 9 Jan 2020 13:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 08:21:38 2020
Received: from localhost ([127.0.0.1]:51941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipXkn-0004zF-VD
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:21:38 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:39007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipXkl-0004ys-Dx
 for 38678 <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:21:35 -0500
Received: by mail-wm1-f52.google.com with SMTP id 20so2802706wmj.4
 for <38678 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 05:21:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PwHWMk1U27otBKx41y54hdQkBAqj44ipVOjoZtISmno=;
 b=inOBtRP7NWhcK/i/cXXsWYsed9hUUTQ6KH8t52mXEdpE3fLmJKoKZMhIWuZXQ72iMr
 lDOwfhMCLOpuNqvV6r+7laFmyGAQyTu8W6KWUqO53yiSLJAUSldD+lM1yofEN/zlw+Zm
 zEzE1kko9L4WJynQUDJvN/t1bLQ/Je/9cP02JcQ77fI5nZcUHv6UrABMwJ3IM80zs0eU
 OiXkozNXh9MC7fRT/G42zhErCjrnkSnSa4raA3uoIgsRmwi9A/64IgHScx3t7ONSh9jW
 fPuA/MSUFTKLEWhYl/m/k/ez7laFuNqmIFF0wZBrqmr0Ac+C7lwsbuo1vFHmOa4ZVP52
 B+Uw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PwHWMk1U27otBKx41y54hdQkBAqj44ipVOjoZtISmno=;
 b=DpEBdlF7EwlAsv9VwukqiLjknlBV3tCeCUY1rGMysb2L/eOMkDVk35ON6p8+A/JaP1
 BsJfM8EuwaY61fs2ge33vO5SlDf7D+YCMWH0cIBsuH3Qc0KU/LiYvLCopkd0BBQRYIyU
 Y9ys7GFhtL8Sk1zW93IlCNWjL+gT+MR7tcCz/N8uao2rbkN/bnQ9N+pJ8cMkwYHJm/Xk
 +Stbj2vKwtrp0LsWpyuTBzteueVxBQ7WNu1W/DVktDIXdy/OB6HvD2MI1vOdnDUxlJm/
 SqsYuaIsojjDr4If+U09mkA3BZDGOu1eZrFNRJEw7LIjJB5Aih+qUxYa/yQxcu6tF6HY
 Ufpw==
X-Gm-Message-State: APjAAAWu1kxkk73/6rIAGmTcbR9ut3fsJdI0VvGIBrOO/YcQDMyOKZPU
 5ZSc6vtRsoIFI9v/32m2qtq9jWzW
X-Google-Smtp-Source: APXvYqwZbtkriXeOrydJs3GjZUdoyl7cer+v/zzxDNmzweFt0thYLe4QVO/hqNE95dqAAI5IUOP51g==
X-Received: by 2002:a7b:c956:: with SMTP id i22mr4887263wml.67.1578576089711; 
 Thu, 09 Jan 2020 05:21:29 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id t81sm2895547wmg.6.2020.01.09.05.21.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 05:21:29 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH 2/2] repl: Fix '--help' message.
Date: Thu,  9 Jan 2020 14:21:23 +0100
Message-Id: <20200109132123.15718-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200109132123.15718-1-zimon.toutoune@HIDDEN>
References: <20200109132123.15718-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/repl.scm: (show-help): Add '--listen' option message.
---
 guix/scripts/repl.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/guix/scripts/repl.scm b/guix/scripts/repl.scm
index 39a9b09656..fc3e4e2131 100644
--- a/guix/scripts/repl.scm
+++ b/guix/scripts/repl.scm
@@ -65,6 +65,9 @@
 Start a Guile REPL in the Guix execution environment.\n"))
   (display (G_ "
   -t, --type=TYPE        start a REPL of the given TYPE"))
+  (display (G_ "
+      --listen=ENDPOINT  listen ENDPOINT instead of standard I/O"))
+  (newline)
   (display (G_ "
   -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 9 Jan 2020 13:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 08:21:38 2020
Received: from localhost ([127.0.0.1]:51939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipXkn-0004zB-Mf
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:21:37 -0500
Received: from mail-wm1-f66.google.com ([209.85.128.66]:35477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipXkl-0004yr-BQ
 for 38678 <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:21:35 -0500
Received: by mail-wm1-f66.google.com with SMTP id p17so2829588wmb.0
 for <38678 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 05:21:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nZ67QpFig0c4Dpg0T+xnl+7pPIS6DVkM6+DNc/qAdjM=;
 b=AOi/uKh2fG5cA4oQ12pCKZxeDX8FRNzKQaMNYd47a97F0PTP4tiJSMHbGZXooIEDaW
 yNQEkI06JI1xz1I4ZsbVSvPVGmGcjfq59KmY5ieQgc9oRG4FPbMs9MT6hwTuN9JZ9v66
 2lbUtzy/FRJYk5zb8sGIITavdIEwDkSp4XwCf+E5WHJylnQ2eaNfuDw27GgKMLmqO8/O
 huJIhHTrbtlxM974T3lBTPjiNL7sEK5i3QbS/SA98z4aBcQpgUNLOsD/fRqyn+rrT5D7
 yZzPABa1HqrmUcqDYFFcQSICyTmdQ2QZuVbuIlLFMvwebacx5v5SObc569KP93tps9ck
 dANg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=nZ67QpFig0c4Dpg0T+xnl+7pPIS6DVkM6+DNc/qAdjM=;
 b=lMBWTNl/eD1euDk0paBKP9jRyoiTP3EP9EuXbNISnFIohW/4F7WES9JmpiRQOI3dIS
 KcSUP2dze0LEYRyjcRHIBV3TgqXRPe2pDJM7Fs3ynlrGBRBgrIJyrvtC8eEfiQryBiHm
 lDr0iFlmy5oTiQeoF9/fCkiiQDfdOKjyWCfjdEjoqjvQ/WOB9QRBZ+9hkk7LqqFHFfg1
 MX0hQJ1tEmPlHBZWIuUwpjWs7L9YYvniNtHIJaHwBPiE8QTAklM5vgcvdv22PT8UxEKJ
 HhPl34mHKK8kDFAfvHyc14ME1DITIaBmExek5ZlK+vMpILKxwmSpexzGeAZp1NXXmE57
 ovoA==
X-Gm-Message-State: APjAAAWRXrXLf3d9QB9XTSFIidfVtePyiISOsTA0Qe3uzm+s5d2j9Aud
 +/w5Y8vXbAD+C/lZfPTwsOEPCfwt
X-Google-Smtp-Source: APXvYqxsP56+hmSq4bc6ykoTfmrCQ/Yr1/nmFkoMgrJHKrtLz8obWqDGwQ60WNKpfq9TOxOl7xrCLw==
X-Received: by 2002:a05:600c:2c44:: with SMTP id
 r4mr4776770wmg.140.1578576089165; 
 Thu, 09 Jan 2020 05:21:29 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id t81sm2895547wmg.6.2020.01.09.05.21.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 09 Jan 2020 05:21:28 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH 1/2] repl: Add '--load-path' option.
Date: Thu,  9 Jan 2020 14:21:22 +0100
Message-Id: <20200109132123.15718-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/repl.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         | 8 ++++++++
 guix/scripts/repl.scm | 9 ++++++++-
 2 files changed, 16 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 00eb85a4f7..ef6d1fc178 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -7995,6 +7995,14 @@ Accept connections on localhost on port 37146.
 @item --listen=unix:/tmp/socket
 Accept connections on the Unix-domain socket @file{/tmp/socket}.
 @end table
+
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tool.
 @end table
 
 @c *********************************************************************
diff --git a/guix/scripts/repl.scm b/guix/scripts/repl.scm
index e1cc759fc8..39a9b09656 100644
--- a/guix/scripts/repl.scm
+++ b/guix/scripts/repl.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,6 +20,7 @@
 (define-module (guix scripts repl)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix repl)
   #:use-module (guix utils)
   #:use-module (guix packages)
@@ -52,7 +54,10 @@
                   (alist-cons 'type (string->symbol arg) result)))
         (option '("listen") #t #f
                 (lambda (opt name arg result)
-                  (alist-cons 'listen arg result)))))
+                  (alist-cons 'listen arg result)))
+        (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)))
 
 
 (define (show-help)
@@ -60,6 +65,8 @@
 Start a Guile REPL in the Guix execution environment.\n"))
   (display (G_ "
   -t, --type=TYPE        start a REPL of the given TYPE"))
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 9 Jan 2020 13:19:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 09 08:19:59 2020
Received: from localhost ([127.0.0.1]:51934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipXjD-0004vn-C2
	for submit <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:19:59 -0500
Received: from mail-qk1-f176.google.com ([209.85.222.176]:41494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipXjC-0004va-7c
 for 38678 <at> debbugs.gnu.org; Thu, 09 Jan 2020 08:19:58 -0500
Received: by mail-qk1-f176.google.com with SMTP id x129so5859791qke.8
 for <38678 <at> debbugs.gnu.org>; Thu, 09 Jan 2020 05:19:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vTuSfRJjGRulI0SPj8Tag+Rj0wGodWQgA8Hj31vsR/c=;
 b=Yc7zO1iyJXF6q4sZ+G3d/klRG+nboPd21gHMEtIBkgwnswIDK17B2yVm1eLn9/L+AP
 7nYmcMOIk9ukPaXGry6LQZlMhokKiAnoChOagzniIUXafqjGUDZk/a3hMZW6kPDLcXbQ
 2KbqC4ivgoD4Xm3n8+3Wq0y7ea9cglFksOGQUGGOVpUESWAm1PQBoquV/iY6R/58PVVs
 mW9I+KQeOqOQfT4RHb5lezvxHz/psy8eah0yVh1ms4O7tI20fVfvgHWty0T3GSEQVdz8
 0ij/4LvYkCjDVp9AFkosTkMBZapug3ny0WDzVwkEwa/mJSb6ZT4jkI3gmstTlc6m+jmJ
 toaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vTuSfRJjGRulI0SPj8Tag+Rj0wGodWQgA8Hj31vsR/c=;
 b=TQUU9OPenS8zMfdjD5IYMxk0+jvn3qHZmWfOUbXeUkj6e0nRFZhXWseaAOCuQDuIfL
 xzp7KqIC+H5aC2Nvw0KmZGAitcgqcZcIsut1UYAYI5mlJAMBv9uRnZ/v/7EAPDQLQUne
 PvbUDDwCNJZ9jsgJs1/g+gi61sTdU8XDOG61zaCNUu6+vBlmx2kN/0a7aJGIqKOGuN3s
 dkLa0LH2vWtSJIPNznCQgscvkUMM5PsrbcDwqLemNBG6v/jt5sVrhb5xuMYKiI0c7crZ
 zOn1iPQCmwVOWUGOtMiXf/zesFtr9A4X404HaSUyXA98HRuhBAYylwhbqFLCA9v3EV/W
 mSkg==
X-Gm-Message-State: APjAAAX0Wq2h4eM4udb9+pw0uszv2YfuOJzj9Y/FaETqJ1FV7eocEJ76
 OYLqMmB2WTzGhCSVncv+I85sQ9Sa78HtpJ3FemETMZ/Q
X-Google-Smtp-Source: APXvYqzY1aIbkGan6G4yK/WAkWwQE/Y/uadiUwiZh3kBjcrfjKky5Chxm06b+0HpbarQneQR6pe7FR4Yy+c28FGJRPM=
X-Received: by 2002:a05:620a:1592:: with SMTP id
 d18mr9408037qkk.80.1578575992723; 
 Thu, 09 Jan 2020 05:19:52 -0800 (PST)
MIME-Version: 1.0
References: <CAJ3okZ2r2xym7jseh6b5C7XHAKp7Ap4j_YQ3pch4_9Ov--9NUQ@HIDDEN>
 <871rs9y6y8.fsf@HIDDEN>
In-Reply-To: <871rs9y6y8.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 9 Jan 2020 14:19:41 +0100
Message-ID: <CAJ3okZ2gosVagO4DOYar-Ggi9psj=f0Zcvh8-qZ6ueiKkYgNOA@HIDDEN>
Subject: Re: what about "guix repl"?
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: 38678 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Pierre,

On Wed, 8 Jan 2020 at 22:27, Pierre Neidhardt <mail@HIDDEN> wrote:
>
> I'd say yes, even though it has limited benefits.
> In `guix repl`, you can see the load path with
>
> --8<---------------cut here---------------start------------->8---
> %load-path
> --8<---------------cut here---------------end--------------->8---
>
> The --load-path option would essentially be the same as appending the
> path to the %load-path variable from the REPL.

Agree.

Note that 'guile' has the option too:
" -L DIRECTORY   add DIRECTORY to the front of the module load path"


Well, I send 2 patches about "guix repl":

 1. adding the 'load-path' option;
 2. adding the option '--listen' in the message outputted by '--help'.

Feel free to review and push if everything appear to you correct.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 21:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 16:27:47 2020
Received: from localhost ([127.0.0.1]:51410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipIrj-0002Kd-4E
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:27:47 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:51573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ipIrh-0002KU-Um
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 16:27:46 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 642971BF205;
 Wed,  8 Jan 2020 21:27:44 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 38678 <at> debbugs.gnu.org
Subject: Re: what about "guix repl"?
In-Reply-To: <CAJ3okZ2r2xym7jseh6b5C7XHAKp7Ap4j_YQ3pch4_9Ov--9NUQ@HIDDEN>
References: <CAJ3okZ2r2xym7jseh6b5C7XHAKp7Ap4j_YQ3pch4_9Ov--9NUQ@HIDDEN>
Date: Wed, 08 Jan 2020 22:27:43 +0100
Message-ID: <871rs9y6y8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38678
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I'd say yes, even though it has limited benefits.
In `guix repl`, you can see the load path with

=2D-8<---------------cut here---------------start------------->8---
%load-path
=2D-8<---------------cut here---------------end--------------->8---

The --load-path option would essentially be the same as appending the
path to the %load-path variable from the REPL.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4WSU8ACgkQm9z0l6S7
zH/p+QgAhNDgQ2DUqbkD2G0i8JiczEgX2bLYmxi1IlZKzyLnW7mh5nuJaorCk/5b
7g554usqeTkf8mVRKm5HexdRa6wE9ZeUJw8Corvt3UXuod5RYf97xzQzkNFxzOk9
XFq8kLgmc9WPlLwYXscEkFI+7P+4KQ3S8vj/+mhpTB6HrW6qyT2nvNzvRDX2fS7n
ODu/Kw3zCnSv207DiOCCwXB8/chBJsUtqm2EHl+t/H0rFuIpmc2bqKMhQErNszGw
3tp7FAsabroKlBTTesO57ffu60ffEAOIeZ0zewWCikAcKSfjBVXPIWQowk/ZU2VZ
gc8uYz/eH0I+FDzATxvt8DsFllALzw==
=vDSW
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 20:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 15:59:32 2020
Received: from localhost ([127.0.0.1]:51388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipIQO-0001Dg-IB
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 15:59:32 -0500
Received: from mail-qk1-f182.google.com ([209.85.222.182]:36990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipIQM-0001DH-Pu
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 15:59:31 -0500
Received: by mail-qk1-f182.google.com with SMTP id 21so4010877qky.4
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 12:59:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=IXoCWKb+MnAS7t/zKlEvy8gjV/iiofEk965CgbAwhfo=;
 b=pwuGehLrH+Jv9CRqzkeqoo4i5Hoxl9JQSQsLVpYa5NimPx1av3IUQWMe5+7xfCA66L
 oAHUV6DGvCGws0AfH3XBfGMXCEw4YkLS6foJH2saUVvGiSX6qJcrxi50x8/PJc10yrPc
 gu9axk5bCTnK7chod0Oysvr7wyW6xnXBuqfwWS2I3jz7W054M6qwlKtamW1Z2gzsg0VF
 8EvToHRAtfOgisnj/I/6jwOhYrJ7anlgobScGwaroNhO9je7SnOmb7eeyy0L2PaNMDIz
 s5w5mHDN9KFzMXicKnwk/molf2UMvJUFO2wAsR4uwo4AXq/MaDpqjY7Ub5FgTT4X+ReH
 hAVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=IXoCWKb+MnAS7t/zKlEvy8gjV/iiofEk965CgbAwhfo=;
 b=mQGz1WRlfSgyJqLSx+ea4jmO/Qw9jWCCm2DSEyY06d4rzVMqxletojhpsx8/eFIBju
 DaRz05dM6w4RIqMplAUi4qCoF50XNtg9dZ1/1SU91nD4q6d3Utn29AIjjlw8ngMnJYjn
 s9XmK9Jk3eD9Dw0LgSsJykf6lV2TahM9wQ2DWgQrIiPPhUhX+kKJkdusl8Ij12LgYUj+
 9s35T9uBT/76QnM4oN8x4tEHMNeqax1usrXV9kIEmPKw8vkI3XLwS9yRzT/Ppxd4pQR4
 3EvtDMvF0++cR7lvyhdvJq8D4caatR68Y3rh7XgLZwrkawbOIutVncY8rNqmg/tVAR3n
 Rj7Q==
X-Gm-Message-State: APjAAAUhrWhKDKoCFRFoq4VCqEIkjpr8E1IjT5w1Brmyr5Vgs9WsUdPw
 qkYWtXNVSwr6E/7T1R7ZFy5D8GtrpfLKcz9ergauow==
X-Google-Smtp-Source: APXvYqwQqgCIbBkz0xsY6QGBWXHOI2XOLBrdlehutlsYf2Uy+xKMmW9dRNQluaNMn3VF6Kow5P9m3He9qUpMIz8XU90=
X-Received: by 2002:a37:63c7:: with SMTP id x190mr6238262qkb.232.1578517165193; 
 Wed, 08 Jan 2020 12:59:25 -0800 (PST)
MIME-Version: 1.0
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 8 Jan 2020 21:59:14 +0100
Message-ID: <CAJ3okZ2r2xym7jseh6b5C7XHAKp7Ap4j_YQ3pch4_9Ov--9NUQ@HIDDEN>
Subject: what about "guix repl"?
To: 38678 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

Do it make sense to add the option "--load-path" to the subcommand 'repl'?


All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 19:12:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 14:12:32 2020
Received: from localhost ([127.0.0.1]:51337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGkq-0006wp-EP
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:12:32 -0500
Received: from mail-wr1-f43.google.com ([209.85.221.43]:45663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGko-0006wV-FQ
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:12:30 -0500
Received: by mail-wr1-f43.google.com with SMTP id j42so4542252wrj.12
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 11:12:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TkCxHdIvP8Cdf6l8viebQ6jzn04XhgEqzH9lccQOD+Q=;
 b=eMZeqlD+exZvNUwKw94KPGZdytnF2SwHp68NfNZP/YLKqGbHcURs48NiueJS329lSm
 QN6W4vZEeUFJqz+cS1JvboXYhP+lPnbrKOTmMSkZ4dUlzRQSOlHk26lx8UPkkjdbtbIl
 NZaNIHn6Oegv0yN6MTpYXboC5yH/Bf/vfQl1bdcUStZwoPRUMRmjvqKIJb5EJe+WDUGb
 Mb6SwG+vgG4K+FRXFl7C7x4HizTG2wZZWRNaoStqrYaJinAScxDMmhX+Qa/u/4Pzb8LK
 dWG8Mlgbq0nCo5V0ydvATwtd35YYKs0jXNeloM+HUhgcwWqJYiCn73H75nMVNOjDUqhG
 X3zQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=TkCxHdIvP8Cdf6l8viebQ6jzn04XhgEqzH9lccQOD+Q=;
 b=Md3PZDglWJ+99v/uGyIGSoqVfzevpIMV4ak/z7af4PrB8PrV4dSrqmwneB8fNgHCBZ
 0UXB2U+vZdO6jZNC7+DEbykRb+rbjv+g80RKASJMxguTcPj0PqEFNxfeeEKLJR++tLp8
 fhyfVs3HUhfwP/Ka8jL2rSygqjZeiOgD2f9VoDjrYKvRdO8bgwX3zVoFUxwrq5erYfeS
 NbEAQgT2HpNkw6XoIWg6iUFcY7SrwyCMRBCC0mIJWZK586uo5Low2o42+9EMdqX+qfeJ
 VH8LxTfaU3iUclz8IbM5pC8D4OxniqkhJA83pAUq4ZUjMs0QAxdTXsCtoRvaQ9n4eycU
 G2dw==
X-Gm-Message-State: APjAAAWVEaxoLGxmIp9eQxBk3vMCgJLDb2Pq4Fhmp7TQ9cgKCCg9Ifib
 neQMYY7DNRvNm1QZ1393sONp9g4M
X-Google-Smtp-Source: APXvYqwE+dpVByABhZy84urbp2QGCh4vXxoMk6EFFP3Hs8sP9lSxitZKwfUD2GGx11FEzy/u/5ZTbQ==
X-Received: by 2002:adf:b64b:: with SMTP id i11mr5918954wre.58.1578510744394; 
 Wed, 08 Jan 2020 11:12:24 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id n3sm4949262wrs.8.2020.01.08.11.12.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 11:12:23 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v3] refresh: Add '--load-path' option.
Date: Wed,  8 Jan 2020 20:12:22 +0100
Message-Id: <20200108191222.9404-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/refresh.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi            |  9 ++++++++-
 guix/scripts/refresh.scm | 18 ++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3d26facd2e..bee4c3b2c9 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,7 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
-Copyright @copyright{} 2019 Simon Tournier@*
+Copyright @copyright{} 2019, 2020 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -9552,6 +9552,13 @@ the user whether to download it or not.  This is the default behavior.
 @item --key-server=@var{host}
 Use @var{host} as the OpenPGP key server when importing a public key.
 
+@item --load-path=@var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
+
 @end table
 
 The @code{github} updater uses the
diff --git a/guix/scripts/refresh.scm b/guix/scripts/refresh.scm
index daf6fcf947..bc8e906054 100644
--- a/guix/scripts/refresh.scm
+++ b/guix/scripts/refresh.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
   #:use-module (guix ui)
   #:use-module (gcrypt hash)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix store)
   #:use-module (guix utils)
   #:use-module (guix packages)
@@ -116,6 +118,19 @@
                      (leave (G_ "unsupported policy: ~a~%")
                             arg)))))
 
+        ;; The short option -L is already used by --list-updaters, therefore
+        ;; it needs to be removed from %standard-build-options.
+        (let ((%load-path-option (find (lambda (option)
+                                         (member "load-path"
+                                                 (option-names option)))
+                                       %standard-build-options)))
+          (option
+           (filter (lambda (name) (not (equal? #\L name)))
+                   (option-names %load-path-option))
+           (option-required-arg? %load-path-option)
+           (option-optional-arg? %load-path-option)
+           (option-processor     %load-path-option)))
+
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
@@ -165,6 +180,9 @@ specified with `--select'.\n"))
                          'always', 'never', and 'interactive', which is also
                          used when 'key-download' is not specified"))
   (newline)
+  (display (G_ "
+      --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 19:12:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 14:12:26 2020
Received: from localhost ([127.0.0.1]:51334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGkk-0006wX-9C
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:12:26 -0500
Received: from mail-qt1-f171.google.com ([209.85.160.171]:33417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGkh-0006wE-AU
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 14:12:24 -0500
Received: by mail-qt1-f171.google.com with SMTP id d5so3736934qto.0
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 11:12:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lBEjkSIU2G6WN/qqvmHHuRM2jsbE8gXXSQTeoyL2f4E=;
 b=qOOHrRx93/PoIxFC/iVU+Mt9rP17oJ448xNMU3Nef3CWPWUgkooI6ghR7VWTjjj1eV
 z1AOA2IK+w+nOQ40dgZafLyB7FcfH4JPohS83W0ahGb7GamDvk0Q5yXOoIlUQoa+q6di
 AlwqcBGlWxu2qD+ADkL/tGXFzKY1qdfxyHSrruk+/8p3EWF9m/tpGo8sZvaUiIJmIyz8
 wa17/xKhnOJm4qe7f2pJOkd9MajCKpbxb7eFdUEKv6NxgPWyo6PKsCC6g8R7xJ/SMAHX
 R2TmtqgbWUM479xsxdfJ/iUPDy/iB5kag35FlPLVJdt1C4arakLdY5tmxcR3wLbn6Gik
 qPrQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lBEjkSIU2G6WN/qqvmHHuRM2jsbE8gXXSQTeoyL2f4E=;
 b=Dyo8KNPmNMG2q2vXI6MJ5DBPdCILeB+epywXCW6i+dfAUDFCefTSbeH7qsQT64F25G
 m0Xp2x0nJ1m7K8wWqQx1ZKikQJDpiDi6Zstw89bxXiQD3TAyX0d2HVAPI7eSBTByM831
 vLin6mt+UrcB/Rqw+PtaliEuj9Q44j74YvQw+iRXYwVjRGmS4JKxSsBd1TsYrzVoUBu/
 OpEJ5rGkNo+3XRNYL+5aa5yU//VMbww4YH5YgkDw2rX/UbsM1j+psypqFxdiy1GF0ZP7
 d5Lt84TfcuIm2vAENpe7RpYSTn8LZPHqILUBC02MIcNtkDpuW3zXM61l3c3UxXqVPCeR
 v4ow==
X-Gm-Message-State: APjAAAVE5nBteMSlG8cyQwEiC551O+xdA6DxII99lnVi9I4XZJz+0Sm3
 yayi6E8X90Iijm9OMcHzm2DxdG+/d8e3/vYkDincAg==
X-Google-Smtp-Source: APXvYqz8pxEe85pOGtoEXzzJ1H+2t6XJfaO4hNNg0rYxrDxbntTOxaNnPtwWDUxz24yv4fTjAqz1KkUKjnKaoLKMfP4=
X-Received: by 2002:ac8:5353:: with SMTP id d19mr3224894qto.313.1578510737760; 
 Wed, 08 Jan 2020 11:12:17 -0800 (PST)
MIME-Version: 1.0
References: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
 <CAJ3okZ0fnvSK_QLw8VqoPxgLH3zwai9mhP3F=a5SuKRGDiheaA@HIDDEN>
In-Reply-To: <CAJ3okZ0fnvSK_QLw8VqoPxgLH3zwai9mhP3F=a5SuKRGDiheaA@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 8 Jan 2020 20:12:06 +0100
Message-ID: <CAJ3okZ0OE8xv94m2BhU6OWZ3yUKCVAOr4s4ROT2b41iQLym5mQ@HIDDEN>
Subject: [PATCH v3] better filter in 'refresh'
To: 38678 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 8 Jan 2020 at 19:53, zimoun <zimon.toutoune@HIDDEN> wrote:

> The short option '-L' is dropped of the %standard-build-options.

My bad!
The patch v2 keeps only "load-path" when only #\L must be dropped out.
It is more about style than concrete issue.


All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 18:56:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 13:56:42 2020
Received: from localhost ([127.0.0.1]:51310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGVW-0006VR-7f
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:42 -0500
Received: from mail-wr1-f41.google.com ([209.85.221.41]:41802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGVT-0006Uf-Td
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:40 -0500
Received: by mail-wr1-f41.google.com with SMTP id c9so4538853wrw.8
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 10:56:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=g197uW4BKu7n/HBq0yHksB4SO8w5iVBrBpWasqJJ6NA=;
 b=HHTenbqLRPSGUm5H0O28MWBt8MlYhWBxg8QKO5MN5bsnVem+v9WtjNRKND2TKwLkbG
 MeuDZIX4RsuBJHjRXw3P5qak7/9h1Y6wy7zUFzJTDLQWxQYgzz3ZkS3avaSzBf9n347J
 DQPwiU4th2tV9mFY3FGGFkDpOtob93Ptt1BBh8rsGrsKICvFmIp3edUzEngV/y6NJcU7
 eBqjy0q+4oAvnoXMv5NTsRJvtr5+5Y5q4s0XWAVoCNrcEWi1km7dHur2MfGSrQqW8nhS
 M/kVH+avK+eO9epve1qGkKpRJWs0ou+KSOJpxAkXxhShM/m2cVyIdR3nqj5JQqtW18Jc
 TAIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=g197uW4BKu7n/HBq0yHksB4SO8w5iVBrBpWasqJJ6NA=;
 b=fOG9XHnkMXVjFagX/9PiHgxbIiWjABR38ok1kMxQi2WoK+TKr2w2FbqWTAa9I2ms35
 gPCKqi0HCxNSud5XUVrT3DQ8qPZ8MQhC6HSomoDCf0wpxwFpkY3r1IcTyO5EsEgKqTrc
 hjD0QdVtJfF9CIYc7xnF3l9Jb5ISHzKdOFsToIx8gN33QZ26E2yN4bCcSGTVC1FLMNf4
 bxknZPNzKrGKfDLwTJAzQn/KNp5f+z5ukUikwnzRnFJcN+NQh6Hxkb0vS9a6XBwSAIT1
 4mHxmb8G6wWOX7/ASuY9OQMbwHqreajGYdAQR+WaVLxE0unhIjzrw1zqfldixzI8YYnv
 SOfQ==
X-Gm-Message-State: APjAAAWxw7ck+umlMwBjR32ANatcHmcrT80AGN0rhvcQwTRKuRe6OFRf
 rviOScElDQXQyVbOnzEgQm0zZgU9
X-Google-Smtp-Source: APXvYqw25x0GEpH1SWBfBTYNMKSFWQAikG+ba+Xxykv5VZg9RAyaJu3x7JvdjHbjXhkZr3vca4R7CQ==
X-Received: by 2002:a5d:4e0a:: with SMTP id p10mr6160450wrt.229.1578509793910; 
 Wed, 08 Jan 2020 10:56:33 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l19sm34889wmj.12.2020.01.08.10.56.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 10:56:33 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v2 4/4] edit: Add '--load-path' option.
Date: Wed,  8 Jan 2020 19:56:24 +0100
Message-Id: <20200108185624.8609-4-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
References: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/edit.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         |  4 ++++
 guix/scripts/edit.scm | 10 +++++++++-
 2 files changed, 13 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index bee4c3b2c9..00eb85a4f7 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -8705,6 +8705,10 @@ have created your own packages on @code{GUIX_PACKAGE_PATH}
 recipes.  In other cases, you will be able to examine the read-only recipes
 for packages currently in the store.
 
+Instead of @code{GUIX_PACKAGE_PATH}, the command-line option
+@code{--load-path=@var{directory}} (or in short @code{-L
+@var{directory}}) allows you to add @var{directory} to the front of the
+package module search path and so make your own packages visible.
 
 @node Invoking guix download
 @section Invoking @command{guix download}
diff --git a/guix/scripts/edit.scm b/guix/scripts/edit.scm
index da3d2775e8..a6fd1d2751 100644
--- a/guix/scripts/edit.scm
+++ b/guix/scripts/edit.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2019 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2015 Mathieu Lirzin <mthl@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +21,7 @@
 (define-module (guix scripts edit)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix utils)
   #:use-module (gnu packages)
   #:use-module (srfi srfi-1)
@@ -28,7 +30,10 @@
             guix-edit))
 
 (define %options
-  (list (option '(#\h "help") #f #f
+  (list (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
+        (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
                   (exit 0)))
@@ -39,6 +44,9 @@
 (define (show-help)
   (display (G_ "Usage: guix edit PACKAGE...
 Start $VISUAL or $EDITOR to edit the definitions of PACKAGE...\n"))
+  (newline)
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
   (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 18:56:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 13:56:42 2020
Received: from localhost ([127.0.0.1]:51308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGVV-0006VO-UF
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:42 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:37118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGVT-0006Ud-1M
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:40 -0500
Received: by mail-wr1-f49.google.com with SMTP id w15so4581443wru.4
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 10:56:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=uja9w2laBr0IKnfnjd4tuzewzh6Pcou0zYT8M882Sgc=;
 b=ujCs6NNdvo7pDuv0tkKxN64FZgNSXdSKh8HDXoLixIcXshLwtHsZyoeLT1xC9kPwZf
 EWdya9r0MlA0lbaoAq8vGVInZUr0IGzaiSK70KdK3rJX6dV/AO/lfkx1ITtt7lERCYoW
 lezbrGtQEFSkRf3r1Xeulu3RreuZM2Q5DP32a3Dj6RcZaauxqf7krQfMiasnJpP00r9a
 cfz7V0+sXaDS/wdU/Inf0GlB2kLPs1Ux5tH6P9BP2QBGklvch/Zqzh0Ji9IugP34CNG0
 ba/UBu52HogJ5F0lsE06wG/2o+rFSD4OP7jL0KttQvErElIHUWFWJOZF+HDzl9JE29Ng
 8kuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=uja9w2laBr0IKnfnjd4tuzewzh6Pcou0zYT8M882Sgc=;
 b=V7q0RnQebKZk0G/xZEXdrpNgvCqFo4FxsA6RYYLhHRreaPd3vxIrCgG5P2Bc17Nj22
 OZegwujPvBOKKdHpnC4WOS7Ko6XcVCseN64fukAiqhhQ3h8+KKMEvdSpk6w7G29oZ2uQ
 SSxbzPg9VpwMf44ht4SqlPwlxVTTqlbbxX1g0SzSEEr0DJ2n0YBZTzteyZKSdqtAqWz4
 /QwZyS5ZmMCa5Qg+GEyTRrHzoB+eBHVELYkMqJGUCi3rXg0ZuYaVxn5F/t8+QY/GVFfl
 Qno6FL3l5aT3NwFW+ogxtfPp60IIaACTsO+YemVKj+b8If5ERBuddwih7yVs01lYxggP
 pXXQ==
X-Gm-Message-State: APjAAAUJDYdRHNRLHomxhxqc3iD2LVwG51pNtc5iG84RiOr9m/RjQWaV
 Pkcrx3Z8oPhKau2hL6cH5lkJyIzc
X-Google-Smtp-Source: APXvYqxVPtpxBeJfcUO8D/0OoFTh439zC/ol6LE4o6E/UGRutFpSVn5GYqYGz4P9CXFbGnqvN8gFCQ==
X-Received: by 2002:a5d:4fd0:: with SMTP id h16mr5988573wrw.255.1578509793141; 
 Wed, 08 Jan 2020 10:56:33 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l19sm34889wmj.12.2020.01.08.10.56.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 10:56:32 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v2 3/4] refresh: Add '--load-path' option.
Date: Wed,  8 Jan 2020 19:56:23 +0100
Message-Id: <20200108185624.8609-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
References: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/refresh.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi            |  9 ++++++++-
 guix/scripts/refresh.scm | 18 ++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3d26facd2e..bee4c3b2c9 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,7 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
-Copyright @copyright{} 2019 Simon Tournier@*
+Copyright @copyright{} 2019, 2020 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -9552,6 +9552,13 @@ the user whether to download it or not.  This is the default behavior.
 @item --key-server=@var{host}
 Use @var{host} as the OpenPGP key server when importing a public key.
 
+@item --load-path=@var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
+
 @end table
 
 The @code{github} updater uses the
diff --git a/guix/scripts/refresh.scm b/guix/scripts/refresh.scm
index daf6fcf947..4695d0b517 100644
--- a/guix/scripts/refresh.scm
+++ b/guix/scripts/refresh.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
   #:use-module (guix ui)
   #:use-module (gcrypt hash)
   #:use-module (guix scripts)
+  #:use-module ((guix scripts build) #:select (%standard-build-options))
   #:use-module (guix store)
   #:use-module (guix utils)
   #:use-module (guix packages)
@@ -116,6 +118,19 @@
                      (leave (G_ "unsupported policy: ~a~%")
                             arg)))))
 
+        ;; The short option -L is already used by --list-updaters, therefore
+        ;; it needs to be removed from %standard-build-options.
+        (let ((%load-path-option (find (lambda (option)
+                                         (member "load-path"
+                                                 (option-names option)))
+                                       %standard-build-options)))
+          (option
+           (filter (lambda (name) (equal? "load-path" name))
+                   (option-names %load-path-option))
+           (option-required-arg? %load-path-option)
+           (option-optional-arg? %load-path-option)
+           (option-processor     %load-path-option)))
+
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
@@ -165,6 +180,9 @@ specified with `--select'.\n"))
                          'always', 'never', and 'interactive', which is also
                          used when 'key-download' is not specified"))
   (newline)
+  (display (G_ "
+      --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 18:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 13:56:39 2020
Received: from localhost ([127.0.0.1]:51305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGVT-0006V5-E2
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:39 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:33528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGVS-0006Uc-In
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:38 -0500
Received: by mail-wr1-f50.google.com with SMTP id b6so4625945wrq.0
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 10:56:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=PPdowZ0nhM9sXqL43oPz2SLA3j3R6zawY+8NkpN+6Dc=;
 b=HF+zAfhzSFoF3e2LPyDRt8JcXACS3345aQg/uZy3DOxoe5PSAO7UjlaJrmtettiPFj
 TfyMmgBVOYTuWdshkeRW1HFEaB/pG8XCyCZPDiCOGI5HMObthlxxx2lMFQGesagAIarp
 OAqbVBuIndLrZIqO6ozM6qZLv3zDYCVSxISIn8WnON4ca+0gggULpfxo5+7LcW7DLA6t
 9jo/shmTzlm069rLPbgW1xOKDhfJr9evJnyhF1Armwc5n6llKvLf3Ip7Nk4TCTJCm7xC
 822XjYGZBb1hSS9qc3QX90UbLqZhs9RMQh3xdXWsvsCnaWrhr4RZFk34eBFRQjLZbCLi
 gfVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=PPdowZ0nhM9sXqL43oPz2SLA3j3R6zawY+8NkpN+6Dc=;
 b=Z/z2CwzEAzGM5JsdbhDWP8FLYXAyTuD9KCNwDjLzb7MNAeSZfVNaYWX8WRyjahz+Ej
 o3OPJp+np3ZbQsUgzjxEOzfqlg7pdx1oWg1ZOJVHjvClHWoP1LOp9TkXfXMxXz7AUMqD
 YdJgMhkThvUyjqEdaWPwIoQ3uyD1YhivabuiXc/shM4qWw9TA8i4pfhhViUw3hxGlZBS
 80dTK2ic9Dcyrrk31PD8MQxVmjPzCxgXKUcUwh6gptU64+5eMt9uJsJ1wto3UPihAKy4
 7nNjAAJH3ExMmp6GWoYkMsCt5uKsBXFHjO6upCu9DK8ilnj77aPb1GIhzAmdcIG7l5gs
 HLSg==
X-Gm-Message-State: APjAAAWDt2s5dzY7bBc4XmHUtXUM3fFiTliuhe2FF45EFkgPVz/vF5P9
 cj7qqkYkS6EEYQ27QTFZ29jxLVHm
X-Google-Smtp-Source: APXvYqyGdf5A05QV2+6yRdn59+EKoPFcipi3XHJeHEUYe/YnZigBA946wqz6V8MLZVLB+P0BAFO8uA==
X-Received: by 2002:a5d:4752:: with SMTP id o18mr6087503wrs.330.1578509792581; 
 Wed, 08 Jan 2020 10:56:32 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l19sm34889wmj.12.2020.01.08.10.56.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 10:56:32 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v2 2/4] size: Add '--load-path' option.
Date: Wed,  8 Jan 2020 19:56:22 +0100
Message-Id: <20200108185624.8609-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
In-Reply-To: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
References: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/size.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         | 7 +++++++
 guix/scripts/size.scm | 8 ++++++++
 2 files changed, 15 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 37218eb847..3d26facd2e 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -9837,6 +9837,13 @@ the case, @command{guix size} fails as it tries to load it.
 @itemx -s @var{system}
 Consider packages for @var{system}---e.g., @code{x86_64-linux}.
 
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 @node Invoking guix graph
diff --git a/guix/scripts/size.scm b/guix/scripts/size.scm
index f549ce05b8..2446b84587 100644
--- a/guix/scripts/size.scm
+++ b/guix/scripts/size.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,6 +20,7 @@
 (define-module (guix scripts size)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module (guix scripts build)
   #:use-module (guix store)
   #:use-module (guix monads)
   #:use-module (guix combinators)
@@ -242,6 +244,9 @@ Report the size of PACKAGE and its dependencies.\n"))
   -m, --map-file=FILE    write to FILE a graphical map of disk usage"))
   (newline)
   (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
+  (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
   -V, --version          display version information and exit"))
@@ -273,6 +278,9 @@ Report the size of PACKAGE and its dependencies.\n"))
         (option '(#\m "map-file") #t #f
                 (lambda (opt name arg result)
                   (alist-cons 'map-file arg result)))
+        (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 18:56:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 13:56:37 2020
Received: from localhost ([127.0.0.1]:51301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGVR-0006Up-0C
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:37 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:38861)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGVO-0006UW-TK
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:56:35 -0500
Received: by mail-wr1-f49.google.com with SMTP id y17so4580835wrh.5
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 10:56:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Lp4TqDehn+cWlBfHvMSB1Hl/vwIVCRSiN5iOcZ0H4+U=;
 b=UEa8RYAXBTTHxDFSTNy3DbCJDr6pBkzcooKuSxo9id1pj+6gd8rHekhYRQgW1hoOjA
 /qo4xg5Qwyu9y7nriIHdh1pCxsJvRpamGjoyquyeDuvBH6xN+m+woGyOlLBmKtsY9rPe
 xnLLzVTqXMPb0KAy0viNJoAz5ZKg3d+egpCH69Y15MHDcP5DxjeVUUBqZ0NnNFclXmOp
 OgRnfUP1C51x3jsf5AIfokJuINp0ERhIBRpblunQ1yQm+4PvrpFExZqsuHaNtN1DPhBv
 Rz6QwZDI3xRkX8rhhVDccND34wnhem2V5RXcGH60GgbGeOg0nir3gS3P27RxqeLsDjFW
 gemQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Lp4TqDehn+cWlBfHvMSB1Hl/vwIVCRSiN5iOcZ0H4+U=;
 b=YLla9zKWNmxpbh9vdLcuoWWDsFA7eWmAgipFFU8tqCf5G7o2hF+A7uYUkL/drGg4vZ
 B1A4Qh0//eq/XXxdJVawOrgCsuNC+UXx3Go28rHhp4z/0b6UisU4vOLoj49++ceVNIYR
 JWfnJqnG8cWj+Nildo3YGpxmlsb8Tu2nahswb7Ufsy+6csJ57im5knQ/NmHcRkt2moaL
 ptIX5tobp3UgY3a54IeTUJyTZAmMBqagv/izQ/XPl+5rgLV15uqkwYJteqwGSQqZm9MK
 gCm612tFpDTe9htQpOIi8Cu5rawPk3n3LwguzOBWgG8ZCsrQcmaOk2DnopkqHR243fru
 LE3w==
X-Gm-Message-State: APjAAAVuorhd3ZmnTTtKahYUyxaHylrw1VhLc/xRWil+Ohb+yNhJwSZM
 d36KwWbnUNPNRZxpvZa9YypLFzuQ
X-Google-Smtp-Source: APXvYqyZ8TgGvIk19jdbkVpQhEQYkmGbM5qUP2oZhq5Vbkz2g1yVzIr1ZmLidwP7tB9d3MLJfPH+XQ==
X-Received: by 2002:a5d:6901:: with SMTP id t1mr5906255wru.94.1578509788705;
 Wed, 08 Jan 2020 10:56:28 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id l19sm34889wmj.12.2020.01.08.10.56.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Jan 2020 10:56:28 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH v2 1/4] graph: Add '--load-path' option.
Date: Wed,  8 Jan 2020 19:56:21 +0100
Message-Id: <20200108185624.8609-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/graph.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
* tests/guix-graph.sh: Test it.
---
 doc/guix.texi          |  9 +++++++++
 guix/scripts/graph.scm |  8 ++++++++
 tests/guix-graph.sh    | 27 +++++++++++++++++++++++++--
 3 files changed, 42 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index bb0ef17ddd..37218eb847 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,6 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
+Copyright @copyright{} 2019 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -10037,6 +10038,14 @@ Display the graph for @var{system}---e.g., @code{i686-linux}.
 
 The package dependency graph is largely architecture-independent, but there
 are some architecture-dependent bits that this option allows you to visualize.
+
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 On top of that, @command{guix graph} supports all the usual package
diff --git a/guix/scripts/graph.scm b/guix/scripts/graph.scm
index 7558cb1e85..53f407b2fc 100644
--- a/guix/scripts/graph.scm
+++ b/guix/scripts/graph.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -35,6 +36,7 @@
   #:use-module ((guix scripts build)
                 #:select (show-transformation-options-help
                           options->transformation
+                          %standard-build-options
                           %transformation-options))
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
@@ -473,6 +475,9 @@ package modules, while attempting to retain user package modules."
                  (lambda (opt name arg result)
                    (alist-cons 'system arg
                                (alist-delete 'system result eq?))))
+         (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
          (option '(#\h "help") #f #f
                  (lambda args
                    (show-help)
@@ -501,6 +506,9 @@ Emit a representation of the dependency graph of PACKAGE...\n"))
   (display (G_ "
   -s, --system=SYSTEM    consider the graph for SYSTEM--e.g., \"i686-linux\""))
   (newline)
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (show-transformation-options-help)
   (newline)
   (display (G_ "
diff --git a/tests/guix-graph.sh b/tests/guix-graph.sh
index 2d4b3fac3f..4c37b61b38 100644
--- a/tests/guix-graph.sh
+++ b/tests/guix-graph.sh
@@ -1,5 +1,6 @@
 # GNU Guix --- Functional package management for GNU
 # Copyright © 2015, 2016, 2019 Ludovic Courtès <ludo@HIDDEN>
+# Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -20,10 +21,29 @@
 # Test the 'guix graph' command-line utility.
 #
 
-tmpfile1="t-guix-graph1-$$"
-tmpfile2="t-guix-graph2-$$"
+module_dir="t-guix-graph-$$"
+mkdir "$module_dir"
+trap "rm -rf $module_dir" EXIT
+
+tmpfile1="$module_dir/t-guix-graph1-$$"
+tmpfile2="$module_dir/t-guix-graph2-$$"
 trap 'rm -f "$tmpfile1" "$tmpfile2"' EXIT
 
+
+cat > "$module_dir/foo.scm"<<EOF
+(define-module (foo)
+  #:use-module (guix packages)
+  #:use-module (gnu packages base))
+
+(define-public dummy
+  (package (inherit hello)
+    (name "dummy")
+    (version "42")
+    (synopsis "dummy package")
+    (description "dummy package. Only used for testing purposes.")))
+EOF
+
+
 guix graph --version
 
 for package in guile-bootstrap coreutils python
@@ -59,3 +79,6 @@ guix graph git | grep 'label = "openssl'
 guix graph git --with-input=openssl=libressl | grep 'label = "libressl'
 if guix graph git --with-input=openssl=libressl | grep 'label = "openssl'
 then false; else true; fi
+
+# Try --load-path
+guix graph -L $module_dir dummy | grep 'label = "dummy'
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 8 Jan 2020 18:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 08 13:54:11 2020
Received: from localhost ([127.0.0.1]:51289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ipGT5-0006QV-3X
	for submit <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:54:11 -0500
Received: from mail-qk1-f170.google.com ([209.85.222.170]:33639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ipGT3-0006QJ-DR
 for 38678 <at> debbugs.gnu.org; Wed, 08 Jan 2020 13:54:09 -0500
Received: by mail-qk1-f170.google.com with SMTP id d71so3668224qkc.0
 for <38678 <at> debbugs.gnu.org>; Wed, 08 Jan 2020 10:54:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Tx3kIO2r0tCxxDMHxJX2SSnI9ValDxoLBPVeUQlM1LY=;
 b=rRJ8+c4DnERT+Ac9frwN0a6dhFoAoRH7wvv9Bj9XIyClNrmgExMIsbRU7bQBVx9ztz
 Ywe5fiVdsMVOaZ2s9uEKl+lGZnC+YsyRSvpLB+YOjIrvdj24Vt8FMrWhUbu6L2iIChOE
 s/Ls6uvWrCWGbSnI721e0udc2/0efOPEjguE8j1JeSRYtlGXuCteulWYGFisKWKI2eUj
 EFLrB5yZ/dUOfCjomigZckSa20P4ubEkVaZ+W0iXjckHYujFQo7QCBvOfsYQbHgi/j48
 qKwRxGBRSdkq30UK4895m6epq61lBZQUJGnPvCv7sxOE0FSSYMGs4Ufa9f/s/YB1acT4
 q3bg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Tx3kIO2r0tCxxDMHxJX2SSnI9ValDxoLBPVeUQlM1LY=;
 b=lYa6a2HjBlY1qHkN5WTRspaMMqljna5DmiPNmwJE/zOAMPeQZ3WZrRezbGZh+CG4QH
 Oi9AIceRtdQLN4OUTDOLa/e0NEKJd0rx8hRK0i5GJC3orM6bXbEc4myQMAWqLh1RfzoQ
 G8hJzDJ+/eZYefaCwO1TjN12bW/Gy109HzfQPZ/XnQC+t+ri5FaGPl05jgRbe+r1D2zA
 mom/JAreOOhFQ/UrtkCgIhzmpRObj1AmxvmedIsNwVNJ9TSdfRejU5xZ4L8cKO9iDG6X
 Xweb8xcBLBIjRmfAVbWv+tQBfkPszWb04LF7y/mMqEuQSWmLyDTvhKKm92Vp/lXhI7g7
 Wu0w==
X-Gm-Message-State: APjAAAU/HviZniqPKEo8MnWXrp1Yqxl/v16IaXFFW6wG46WapXpavXb3
 dMBCZhJb+Ki4pzQTwk1jxoHkq4/LnH7WCaieeDcBrA==
X-Google-Smtp-Source: APXvYqyEN2eR9cfpifnTLkYA7JQHaQWhwQQEfptqSQYtrSSkj/S0lB9YyJaLp9HeSvvjCcO9sCPonjYPQ/VsnLYjk3Q=
X-Received: by 2002:a05:620a:1592:: with SMTP id
 d18mr5768181qkk.80.1578509643562; 
 Wed, 08 Jan 2020 10:54:03 -0800 (PST)
MIME-Version: 1.0
References: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
In-Reply-To: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 8 Jan 2020 19:53:52 +0100
Message-ID: <CAJ3okZ0fnvSK_QLw8VqoPxgLH3zwai9mhP3F=a5SuKRGDiheaA@HIDDEN>
Subject: [PATCH v2 0/4] Add '--load-path' to subcommands
To: 38678 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: Pierre Neidhardt <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

Please find the amended patches about 'graph' and 'size'.

On Thu, 19 Dec 2019 at 22:10, zimoun <zimon.toutoune@HIDDEN> wrote:

>  - guix refresh: -L already means --list-updaters
>    Only --load-path? Nothing?

The short option '-L' is dropped of the %standard-build-options.

Note that if I read correctly, nothing of the sucommand 'resfresh' is tested.

>  - guix edit: I am not convinced it is useful because if you apply -L
>    path/to/your/modules then it is easy to find the correct file to open.
>    What do you think?

Even it is easy to find the correct file to open, it adds consistency
with the other subcommands and it can help when using local channels.

Nothing about the subcommand 'edit' is tested neither.



All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 19 Dec 2019 21:48:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:48:25 2019
Received: from localhost ([127.0.0.1]:45626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii3ei-0004xW-On
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:48:24 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:45883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ii3eg-0004xN-NX
 for 38678 <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:48:23 -0500
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 9C6EF100006;
 Thu, 19 Dec 2019 21:48:20 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#38678] [PATCH 2/2] size: Add '--load-path' option.
In-Reply-To: <CAJ3okZ1fYQDmbfWyqCq5HdaSPqXzOOLXzoRB9Xy=MMsCH_ayLA@HIDDEN>
References: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
 <20191219211400.8978-1-zimon.toutoune@HIDDEN>
 <87sglgq9rs.fsf@HIDDEN>
 <CAJ3okZ1fYQDmbfWyqCq5HdaSPqXzOOLXzoRB9Xy=MMsCH_ayLA@HIDDEN>
Date: Thu, 19 Dec 2019 22:48:20 +0100
Message-ID: <87pngkq95n.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38678
Cc: 38678 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

> - guix refresh: -L already means --list-updaters
>   Only --load-path? Nothing?

Yes, --load-path is good enough.

> - guix edit: I am not convinced it is useful because if you apply -L
>   path/to/your/modules then it is easy to find the correct file to open.
>   What do you think?

Makes sense, then it's OK to leave it out.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl378CQACgkQm9z0l6S7
zH8H+wf/UJxiepVRr/7tYY45shaHgkjhVD44B8JHlNFm3omrLVrkl2d1+LvUku3G
1g1oVpZdZ0MLU7+JaqHmR8zCPlDRt33iUPSucoSZ+jUjKO4+He3V6hvNw1etFeNC
4FXN36cWo9Uc3+xj90zMvWlAz93biZQ7S4GsZlayZ2pX1760Lkn8JYY/ooZ7QulD
/wpF87C3fDGiyk6TcovQU4UVbNwKT3ZhOT+Ql/CUjdvpc2ke7mrNqARSClK2zMI1
JIc0R7panqAz9TNRxXSsd9W9gPeDsV1iDbn5ItebMcdipjSbnmddbfuRppeLl2sq
BOT6NoKVXO8/uswu/o0lcbwI/Z0XBQ==
=ZrVp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 19 Dec 2019 21:43:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:43:41 2019
Received: from localhost ([127.0.0.1]:45622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii3a9-0004qB-5S
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:43:41 -0500
Received: from mail-qk1-f193.google.com ([209.85.222.193]:37049)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii3a7-0004pz-Bv
 for 38678 <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:43:39 -0500
Received: by mail-qk1-f193.google.com with SMTP id 21so5951341qky.4
 for <38678 <at> debbugs.gnu.org>; Thu, 19 Dec 2019 13:43:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=yyhVGS5TiRviLThN3sOzuZg7KL2gztcvUXn2cUIjh+0=;
 b=K5GqOY1c0JdQZ7X7fXeLR9L2dETNkfFQ91ScGaWATceXN+Jz1/nSAQ8NRv9iR9mlf9
 9Gz0XH29LL46cWCUuinXD116ZgSbka8Nx5YlE2MHX6HUoPxxHPbjM8JzTqF/S49V0avI
 8LG5dFbQufRRgxy+PslAjYjiKzsZeQVDiARUmileFVdDDoldp0oMy1mnKSIPrxHLW7Lb
 iGoAxfcxmJc8cDScicQI55m/N0XGiAZO7he5i4+3LVdwugiTteeC07rQvQrq1lWqEcwn
 D+6CDx/jql20//XsTXVU1LX1cIz8AVDyFMq0Ykhaw3P53BgpQloGOvpVJnmglDpAVNls
 IUnw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=yyhVGS5TiRviLThN3sOzuZg7KL2gztcvUXn2cUIjh+0=;
 b=dVxoybpVVrKO8jfSTn/wgeA6Xag83rPRQm98q2prhs1c8eE7fD7/+BRfIWE9/okP6w
 QWQTnYZ9k3UTMeR1qOyyuSN2anawubKB6RgzSdiZmldC7kt3NoiJ/GBX+Y4fkVr3V3Wl
 oVOFKFeAYVNnAnOb/ZvyHU0IKimBkscn7ZB2WTGS0Z2wsTCN7yVEBwIA6EqlzkovADUB
 U2S1cBdOhO1pmMNEj8ycuFskqpE4PN2gmuMpz+szPouTlBPqfBvzax14WaEVoPsMO4V/
 Piz8PkKnmPRBDqy++EPQB5rbgovuBwqu9twPcpaCKoKcNqtAGPXXo4qUb7bmC8B7Cncx
 e4hg==
X-Gm-Message-State: APjAAAUBFj/TZ7rBO5P5GCsSLREf5Mx7bzxJEyIYbfETXlL69y1fPGQ7
 W8Grtme63bVYrAoFk950bp9a2d2x6BX4GLkTEKc=
X-Google-Smtp-Source: APXvYqx1XhGfjozXubUXdBfFrfABP/iCkbphAgIKk7QyVNlkGX+6rExsh/+bJTNwe6wh/n3b1k7ThFEqAfM4uhSpNVY=
X-Received: by 2002:a37:a451:: with SMTP id n78mr9397963qke.304.1576791813824; 
 Thu, 19 Dec 2019 13:43:33 -0800 (PST)
MIME-Version: 1.0
References: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
 <20191219211400.8978-1-zimon.toutoune@HIDDEN> <87sglgq9rs.fsf@HIDDEN>
In-Reply-To: <87sglgq9rs.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 19 Dec 2019 22:43:23 +0100
Message-ID: <CAJ3okZ1fYQDmbfWyqCq5HdaSPqXzOOLXzoRB9Xy=MMsCH_ayLA@HIDDEN>
Subject: Re: [bug#38678] [PATCH 2/2] size: Add '--load-path' option.
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: 38678 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 19 Dec 2019 at 22:35, Pierre Neidhardt <mail@HIDDEN> wrote:

> I haven't tested, but otherwise looks good to me!

What do you think about the missing test?

Could also comment the cover letter (guix refresh, guix edit, etc.)?
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38678#5


> > diff --git a/doc/guix.texi b/doc/guix.texi
> > index 02f7cf5b39..c0fa6a3cab 100644
> > --- a/doc/guix.texi
> > +++ b/doc/guix.texi
> > @@ -69,7 +69,6 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
> >  Copyright @copyright{} 2019 Kyle Andrews@*
> >  Copyright @copyright{} 2019 Alex Griffin@*
> >  Copyright @copyright{} 2019 Guillaume Le Vaillant@*
> > -Copyright @copyright{} 2019 Simon Tournier@*
>
> Did you remove the copyright line by mistake?

Maybe. :-)


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 19 Dec 2019 21:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:35:10 2019
Received: from localhost ([127.0.0.1]:45610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii3Ru-0004db-E0
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:35:10 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:46807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ii3Rr-0004dM-Fz
 for 38678 <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:35:08 -0500
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 6E2B9100002;
 Thu, 19 Dec 2019 21:35:04 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#38678] [PATCH 2/2] size: Add '--load-path' option.
References: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
 <20191219211400.8978-1-zimon.toutoune@HIDDEN>
Date: Thu, 19 Dec 2019 22:35:03 +0100
In-Reply-To: <20191219211400.8978-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 19 Dec 2019 22:14:00 +0100")
Message-ID: <87sglgq9rs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38678
Cc: 38678 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

I haven't tested, but otherwise looks good to me!
Comments below:

> diff --git a/doc/guix.texi b/doc/guix.texi
> index 02f7cf5b39..c0fa6a3cab 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -69,7 +69,6 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
>  Copyright @copyright{} 2019 Kyle Andrews@*
>  Copyright @copyright{} 2019 Alex Griffin@*
>  Copyright @copyright{} 2019 Guillaume Le Vaillant@*
> -Copyright @copyright{} 2019 Simon Tournier@*

Did you remove the copyright line by mistake?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl377QcACgkQm9z0l6S7
zH8Quwf/cbQkRLoj7ajgV+V3vqQshIeXPojPwf4uWqgOLO3LTgFd/PU7CyFC0Sgm
fvdmPeYwVZEtTSk70rU5SRJUZ/ReatzeAhLpUavJENoFBDeLErU5rGDuiaxTwlFA
TTki/wITLNRyQnOmrEW0KcsKBsICLVuag4FWAm022UZQWTG5lH4XawbVTpw/K72d
Q/VeE+RBQQqbfC8Z4RnBfW3Ae/bQhj9nfS0BqZHPd7XruqNnan7KX1laiEH6e3uX
tm7/HqujTHkniTbPiG7LLlAfl9vSvoPmRBS5lTRu4oACZNGlfkwTjeNyO3jP+IQ0
czrr6TnEEYe9xTMT89pAecQoYYVIyQ==
=lU8/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 19 Dec 2019 21:14:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:14:09 2019
Received: from localhost ([127.0.0.1]:45593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii37Z-000478-C2
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:14:09 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:52745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii37Y-00046s-0X
 for 38678 <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:14:08 -0500
Received: by mail-wm1-f48.google.com with SMTP id p9so6884528wmc.2
 for <38678 <at> debbugs.gnu.org>; Thu, 19 Dec 2019 13:14:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=2qA7NCtd4nq5hHoyegrHzIOQeV+ICNozfQk4fVH4gLU=;
 b=ROLNvhaZmyCMzgyN/k5VwURoWx/tCTxwcBlx7GUaoMTNJg7oK6/IjYyG6ng3H0KGNO
 Te/3C1TJcxrL0bdSTxpq13SYjeWFQVS/ALUoRpba8RWxEVxwNN3j+9XId5ZFqgTHZLUv
 ezA4ztYPszGqVygdTnu9ggKYU4S6BuTFRtwlvQcs7+DbjXWyBhWkYCs5GrNQxGrqhF9J
 5QU08dKANTazTWzg+acl03BlYD7WibCWPyHk1E10To0RJDONJfy6ulREPO5+l9qgxA7/
 hHACZQHcdU3sgnuN76X2TwfeALsezp3FKnEkPiFri0liMV1moiR2xGjdSXTKSDi2lR60
 iHOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=2qA7NCtd4nq5hHoyegrHzIOQeV+ICNozfQk4fVH4gLU=;
 b=tZC72hh/NdqHbZLcnRTqjeCU7N+/jSXmEFmlU5ZfKFixvm30OZn4aKrxipiJ1Dm3af
 FZ1/TLvYxHkuacxiEG62c/DeL+afgm0bMtE7Ee/UQKQHeC4Sgl+OPxTDDbNRi9Ez2k+q
 45JmBKJBa8vGk7Wzf2h44s1GADQ7AjfJMpu8bqRX+FbKjSrRyKgbe+s3f1LrJcVORiML
 UY0yLX6+qQ/j1PZuDOTujF7TRsNXL1/Vld3qvMkAACB1/lAbRAYY3JuNvvfqj1Cjot54
 +6IWxKVygyhPtXhtA1iaujF+ccCneHM91WdnTac4ERwu8BlnS92zZTvPm2Pppp12dspV
 Bw6g==
X-Gm-Message-State: APjAAAUq5sCrLFzV2YXtKO6knov+fbBnCJGWvIv/Y70cJcCpRaY0/Cd1
 Y3ml+DYS+HamfQmOm4u1CflNZhNh
X-Google-Smtp-Source: APXvYqy8jgUfG45umbpjausgsd+namTnhNnbq9thndLTySwT5TTr1gKTgDjjHZKTQSUEihZOwoo5wQ==
X-Received: by 2002:a1c:62c1:: with SMTP id
 w184mr12691435wmb.150.1576790042198; 
 Thu, 19 Dec 2019 13:14:02 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id i16sm7657803wmb.36.2019.12.19.13.14.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 Dec 2019 13:14:01 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH 2/2] size: Add '--load-path' option.
Date: Thu, 19 Dec 2019 22:14:00 +0100
Message-Id: <20191219211400.8978-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/size.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
---
 doc/guix.texi         | 8 +++++++-
 guix/scripts/size.scm | 8 ++++++++
 2 files changed, 15 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 02f7cf5b39..c0fa6a3cab 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,7 +69,6 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
-Copyright @copyright{} 2019 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -9837,6 +9836,13 @@ the case, @command{guix size} fails as it tries to load it.
 @itemx -s @var{system}
 Consider packages for @var{system}---e.g., @code{x86_64-linux}.
 
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 @node Invoking guix graph
diff --git a/guix/scripts/size.scm b/guix/scripts/size.scm
index f549ce05b8..2446b84587 100644
--- a/guix/scripts/size.scm
+++ b/guix/scripts/size.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,6 +20,7 @@
 (define-module (guix scripts size)
   #:use-module (guix ui)
   #:use-module (guix scripts)
+  #:use-module (guix scripts build)
   #:use-module (guix store)
   #:use-module (guix monads)
   #:use-module (guix combinators)
@@ -242,6 +244,9 @@ Report the size of PACKAGE and its dependencies.\n"))
   -m, --map-file=FILE    write to FILE a graphical map of disk usage"))
   (newline)
   (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
+  (display (G_ "
   -h, --help             display this help and exit"))
   (display (G_ "
   -V, --version          display version information and exit"))
@@ -273,6 +278,9 @@ Report the size of PACKAGE and its dependencies.\n"))
         (option '(#\m "map-file") #t #f
                 (lambda (opt name arg result)
                   (alist-cons 'map-file arg result)))
+        (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
         (option '(#\h "help") #f #f
                 (lambda args
                   (show-help)
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at 38678 <at> debbugs.gnu.org:


Received: (at 38678) by debbugs.gnu.org; 19 Dec 2019 21:14:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:14:01 2019
Received: from localhost ([127.0.0.1]:45589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii37Q-00046I-TV
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:14:01 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:32981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii37O-000463-A2
 for 38678 <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:13:58 -0500
Received: by mail-wm1-f52.google.com with SMTP id d139so7953983wmd.0
 for <38678 <at> debbugs.gnu.org>; Thu, 19 Dec 2019 13:13:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=SBW9IxtFyPgyxf20ChmkkJnzKqnrkhGjA14XTXC5/uc=;
 b=cEDy8f4ntRxegcAcXyR7Uwf5PiUu2+0e3umkA/SYGRwxBLeMqas//6I5wHEImfCbdJ
 0tlyUUoBKYhtsg7j7BkH6mAlOkzOyJ15UZgoHotddc4DCLYoAlni7stRounC03l5Tc4E
 LA/G/6pT1x7SSmIbiykbBtoEEKCTqKoBWosM9CYlf4wDtY64RPc07AaCnS8wFp4cKbxj
 EM+JYMya1drQl8Igtzm2ymvEBHGv80eyTC+FuNTubMMciF10TaEDfk6jvrZysTrXHvHj
 RoOlN3oyBITt2XVi6QT8rfbyBH7+V0uQq5ZQJpOWuzHIqfVsY2lVGBFBtRq9bd2aXWWg
 C60w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=SBW9IxtFyPgyxf20ChmkkJnzKqnrkhGjA14XTXC5/uc=;
 b=U0kHeb9nhLa6Cu826GdBpcFZqnF7Z2iI3TKwrNotetLK6UuM0iQ2bv3Q27FfqQRjmb
 97FwdpDRQx5H7sofZwdoDrEUvD03Ia0Bsm2uPwahyoJC+nh33nsX1lQQddrz74PmxCKg
 HPX2s3iyEdd1qvGqm41ZjjGSp7/ZCWY437v81pRnmtFXeI4sx94iT9dzFcieEHlEJT+6
 gWOsXbYOiMT3qQVq6XtEwGcxFnSq8GOdfG36f7IDEa0gCy8JaB637i9b6QBdSSJf687I
 f1u5SE5vezflUTY+Sp5/O0QYGUkMCrD52NDzZaGtncQwixtNKDDMQVu/VR/S1alA8uJq
 CcCA==
X-Gm-Message-State: APjAAAUP++2miDPQC/CGPcKUPEqL/+JZSWSqnCPfyHfQIwR902epP3rd
 FNvC2ldXYfdfn3jVVnsWt38j572y
X-Google-Smtp-Source: APXvYqxp5Rz2ehIY/RN4P/Db4vqd9etDOzA0W3pEHBgnlMGN6ApT1UwCHCDeTsJxT1M91Fl+RTiEhQ==
X-Received: by 2002:a05:600c:24d1:: with SMTP id
 17mr12097529wmu.136.1576790032064; 
 Thu, 19 Dec 2019 13:13:52 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id s1sm7435052wmc.23.2019.12.19.13.13.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 Dec 2019 13:13:51 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 38678 <at> debbugs.gnu.org
Subject: [PATCH 1/2] graph: Add '--load-path' option.
Date: Thu, 19 Dec 2019 22:13:49 +0100
Message-Id: <20191219211349.8926-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38678
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/scripts/graph.scm (%option): Add '--load-path' option.
* doc/guix.texi: Document it.
* tests/guix-graph.sh: Test it.
---
 doc/guix.texi          |  9 +++++++++
 guix/scripts/graph.scm | 10 +++++++++-
 tests/guix-graph.sh    | 27 +++++++++++++++++++++++++--
 3 files changed, 43 insertions(+), 3 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 7fa1eca097..02f7cf5b39 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -69,6 +69,7 @@ Copyright @copyright{} 2019 Jakob L. Kreuze@*
 Copyright @copyright{} 2019 Kyle Andrews@*
 Copyright @copyright{} 2019 Alex Griffin@*
 Copyright @copyright{} 2019 Guillaume Le Vaillant@*
+Copyright @copyright{} 2019 Simon Tournier@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -10037,6 +10038,14 @@ Display the graph for @var{system}---e.g., @code{i686-linux}.
 
 The package dependency graph is largely architecture-independent, but there
 are some architecture-dependent bits that this option allows you to visualize.
+
+@item --load-path=@var{directory}
+@itemx -L @var{directory}
+Add @var{directory} to the front of the package module search path
+(@pxref{Package Modules}).
+
+This allows users to define their own packages and make them visible to
+the command-line tools.
 @end table
 
 On top of that, @command{guix graph} supports all the usual package
diff --git a/guix/scripts/graph.scm b/guix/scripts/graph.scm
index 7558cb1e85..9bbb867147 100644
--- a/guix/scripts/graph.scm
+++ b/guix/scripts/graph.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -35,7 +36,8 @@
   #:use-module ((guix scripts build)
                 #:select (show-transformation-options-help
                           options->transformation
-                          %transformation-options))
+                          %transformation-options
+                          %standard-build-options))
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
   #:use-module (srfi srfi-34)
@@ -473,6 +475,9 @@ package modules, while attempting to retain user package modules."
                  (lambda (opt name arg result)
                    (alist-cons 'system arg
                                (alist-delete 'system result eq?))))
+         (find (lambda (option)
+                (member "load-path" (option-names option)))
+              %standard-build-options)
          (option '(#\h "help") #f #f
                  (lambda args
                    (show-help)
@@ -501,6 +506,9 @@ Emit a representation of the dependency graph of PACKAGE...\n"))
   (display (G_ "
   -s, --system=SYSTEM    consider the graph for SYSTEM--e.g., \"i686-linux\""))
   (newline)
+  (display (G_ "
+  -L, --load-path=DIR    prepend DIR to the package module search path"))
+  (newline)
   (show-transformation-options-help)
   (newline)
   (display (G_ "
diff --git a/tests/guix-graph.sh b/tests/guix-graph.sh
index 2d4b3fac3f..4c37b61b38 100644
--- a/tests/guix-graph.sh
+++ b/tests/guix-graph.sh
@@ -1,5 +1,6 @@
 # GNU Guix --- Functional package management for GNU
 # Copyright © 2015, 2016, 2019 Ludovic Courtès <ludo@HIDDEN>
+# Copyright © 2019 Simon Tournier <zimon.toutoune@HIDDEN>
 #
 # This file is part of GNU Guix.
 #
@@ -20,10 +21,29 @@
 # Test the 'guix graph' command-line utility.
 #
 
-tmpfile1="t-guix-graph1-$$"
-tmpfile2="t-guix-graph2-$$"
+module_dir="t-guix-graph-$$"
+mkdir "$module_dir"
+trap "rm -rf $module_dir" EXIT
+
+tmpfile1="$module_dir/t-guix-graph1-$$"
+tmpfile2="$module_dir/t-guix-graph2-$$"
 trap 'rm -f "$tmpfile1" "$tmpfile2"' EXIT
 
+
+cat > "$module_dir/foo.scm"<<EOF
+(define-module (foo)
+  #:use-module (guix packages)
+  #:use-module (gnu packages base))
+
+(define-public dummy
+  (package (inherit hello)
+    (name "dummy")
+    (version "42")
+    (synopsis "dummy package")
+    (description "dummy package. Only used for testing purposes.")))
+EOF
+
+
 guix graph --version
 
 for package in guile-bootstrap coreutils python
@@ -59,3 +79,6 @@ guix graph git | grep 'label = "openssl'
 guix graph git --with-input=openssl=libressl | grep 'label = "libressl'
 if guix graph git --with-input=openssl=libressl | grep 'label = "openssl'
 then false; else true; fi
+
+# Try --load-path
+guix graph -L $module_dir dummy | grep 'label = "dummy'
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2019 21:10:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 19 16:10:09 2019
Received: from localhost ([127.0.0.1]:45583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ii33h-00040h-Au
	for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:10:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:57605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii33e-00040U-CU
 for submit <at> debbugs.gnu.org; Thu, 19 Dec 2019 16:10:07 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51125)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii33d-0007Tz-76
 for guix-patches@HIDDEN; Thu, 19 Dec 2019 16:10:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ii33c-0000VR-2g
 for guix-patches@HIDDEN; Thu, 19 Dec 2019 16:10:05 -0500
Received: from mail-wr1-x42a.google.com ([2a00:1450:4864:20::42a]:41657)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1ii33b-0000RK-Po
 for guix-patches@HIDDEN; Thu, 19 Dec 2019 16:10:03 -0500
Received: by mail-wr1-x42a.google.com with SMTP id c9so7390387wrw.8
 for <guix-patches@HIDDEN>; Thu, 19 Dec 2019 13:10:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=8XuEQlgYaUXNUWjFNCIEegbYH9tcg+fSjgpDUd/woC8=;
 b=IPiPXbZc8htKdHiaXPW+PvDFclYtvrS45W0PH2nF6qALdIWxV/E6bQSqTBHYG+GT6/
 hQAd42j2RVHcupmWcdeK5VIPvG5nY7hbGXzTLHZ7Pv78fieKyr0EWpmYj8zfMqUgG6O/
 qTX6cwbqCDYrL+4vmYXoslcaA3PD3lihkEOOe8u0nmEiY7a1tEaUrIqcnU3YDugUGIDC
 E2mk/WpjQ9sUw7C6heAOMxWfr6s4PZFFRCQVAwu8n54eyLfJWzMoOQkGdd/aAQXXcS7p
 SSnxEL4p6GQwSoAWWsRgy81GxKkqORrJ6XY3MBtkY/rqjMojk7F0yZKeKNCE8SEnrXad
 r5Pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=8XuEQlgYaUXNUWjFNCIEegbYH9tcg+fSjgpDUd/woC8=;
 b=UFpn3UrLOAEx6D8lxhmpRmzvvYyEj7/VH52FC8EM17E61UXBGZkuI1K5mbub2NoPjz
 KZ02geVVwwcEiQy/bGW0DAC7nj2hn+mUk4bZV0wrVFcl0OGryz9szTZ6/WIma09cH/UH
 q8d1PLudLcsde83voV5tsLavzsyPVCJexkIlF6MBf6JevRTtur/Di9y7bm43U2onQASX
 xtrNJu//pUCawy2M0aipYb0JS8spi66P5+8cHiZyszpF571NRgjAMTdq51Wz27WIgEpX
 K4vo8RLGDOwuR7/FYySkhtoqc5kyzGaUwMXjHrKRsGTz2RrjCVZ1AdJpjutN0df597kV
 48xQ==
X-Gm-Message-State: APjAAAUhXy9lZvbiO4I4eyA500fV0Tk2yuj9Ja6WsAwV3Kb+3RoBcc3z
 Sj5r4Xt9RMwcBJKGRuKpQgTb6S4E
X-Google-Smtp-Source: APXvYqyXYG9ioKLbeHt8TFQxd6opCzqjqFTgJR+F6bEXzpKSvoXAQMCCSpNvaJ6VTmGZ9MDIitgOqg==
X-Received: by 2002:adf:f411:: with SMTP id g17mr11298215wro.89.1576789801662; 
 Thu, 19 Dec 2019 13:10:01 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id b17sm7537089wrp.49.2019.12.19.13.10.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 Dec 2019 13:10:01 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] Add '--load-path' to subcommands
Date: Thu, 19 Dec 2019 22:09:58 +0100
Message-Id: <20191219210958.8807-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42a
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dear,

Here [1] has been discussed the addition of '--load-path' to the commands that
need it. What come in mind is:

 + guix graph
 + guix size

Done by these 2 patches.


Note that "guix size -L" is not tested because the file "tests/guix-size.sh"
does exist and does the option "--load-path" needs to be tested at the Scheme
level?


Then, what about:

 - guix refresh: -L already means --list-updaters
   Only --load-path? Nothing?

 - guix edit: I am not convinced it is useful because if you apply -L
   path/to/your/modules then it is easy to find the correct file to open.
   What do you think?


Thanks
simon

[1] https://lists.gnu.org/archive/html/guix-devel/2019-12/msg00281.html


zimoun (2):
  graph: Add '--load-path' option.
  size: Add '--load-path' option.

 doc/guix.texi          | 15 +++++++++++++++
 guix/scripts/graph.scm | 10 +++++++++-
 guix/scripts/size.scm  |  8 ++++++++
 tests/guix-graph.sh    | 27 +++++++++++++++++++++++++--
 4 files changed, 57 insertions(+), 3 deletions(-)

-- 
2.23.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38678; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.